<?php
	/**
	 *	eBag
	 *
	 *	Open source company administration manager
	 *
	 *	@package	eBag
	 *	@author		Eper Kalman
	 *	@copyright	Copyright (c) 2012-2015, Eper Kalman
	 *	@license	GNU Affero General Public License Version 3 (http://www.gnu.org/licenses/agpl-3.0.html)
	 *	@since		Version 6.0.0
	 */

	/**
	 * eBag contacts list
	 */
	 
	if (! defined('eBag'))	{
	
	      include('../views/logout.php'); 
	      
	      exit();
	}

	pagepermission('addressbook', 'r'); 
 
	load_c('SQL');

	$__SQL	=	new SQL();

	load_c('TABLE');

	# set the base
	$BASE	=	$_SESSION['BASE'];

	$table	=	new TABLE($BASE.'.addressbook', 'contactdetails', 'contactchange', 'contactdelete', PAGEINCREMENT, $_SESSION['list_limit']);

	$table	->	column('personID');
	$table	->	column('contactname', 'box');
	$table	->	column('country', 'box');
	$table	->	column('city', 'listbox');
	$table	->	column('telephone1');
	$table	->	column('contacttype', 'static');
	$table	->	column('delivery_day_of_week', 'static');
	$table	->	column('critic', 'static');

	$table	->	create();

	$HTMLTABLE	=	&$table->TABLE;

	$_SESSION['FROM'] = backward();

	$view	=	new View('tablelist');
	$view 	->	assign('HTMLTABLE', $HTMLTABLE); unset($HTMLTABLE, $table, $__SQL);
	$view 	->	assign('FOCUS', 'contactname');
	$view 	->	assign('SELF', backward());
	$view	->	display();
	
?>
