<?php
	/**
	 *	eBag
	 *
	 *	Open source company administration manager
	 *
	 *	@package	eBag
	 *	@author		Eper Kalman
	 *	@copyright	Copyright (c) 2012-2015, Eper Kalman
	 *	@license	GNU Affero General Public License Version 3 (http://www.gnu.org/licenses/agpl-3.0.html)
	 *	@since		Version 6.0.0
	 */

	/**
	 * eBag feedstock request to service list details
	 */

	if (! defined('eBag'))	{
	
	      include('../views/logout.php'); 
	      
	      exit();
	}
	 
	pagepermission('service_lists', 'r');

	load_c('SQL');

	$__SQL	= new SQL();

	load_m('feedstockrequest2listread');

	$__REQUEST	=	new FEEDSTOCKREQUEST2LISTREAD();

	$REQUESTDATA	=	$__REQUEST->read($_GET['id']);

	unset ($__REQUEST, $__SQL);

	if (! $REQUESTDATA)	{
	
		$view	=	new View('errorbox');
		$view	->	assign('SELF', $_SESSION['FROM']);
		$view	->	assign('ERROR', $__LANG->get('error'));
		$view	->	assign('ERRTXT', $__LANG->get('request2listnotexists'));
		$view	->	assign('BACK', $__LANG->get('back'));
		$view	->	display();
		exit;
	}

	$view	=	new View('feedstockrequest2servicelistdetails');

	$view	->	assign('DATE_OF_CREATION', $__LANG->get('date_of_creation'));
	$view	->	assign('REQUEST_DETAILS', $__LANG->get('request2listdetails', $_GET['id'].'/'.$_SESSION['year']));
	$view	->	assign('REQUESTID', $_GET['id']);
	$view	->	assign('CONNECTED_WITH_REVERSES', $__LANG->get('connected2revers'));
	$view	->	assign('COLUMNPERSONID', $__LANG->get('personID'));
	$view	->	assign('COLUMNREVERSID', $__LANG->get('reversID_pdf'));
	$view	->	assign('COLUMNCODE', $__LANG->get('columnname_code'));
	$view	->	assign('COLUMNNAME', $__LANG->get('columnname_name'));
	$view	->	assign('COLUMNQUANTITY', $__LANG->get('columnname_quantity'));
	$view	->	assign('COLUMNUNIT', $__LANG->get('columnname_unit'));
	$view	->	assign('SELF', backward());
	$view	->	assign('PRINT', $__LANG->get('print'));
	$view	->	assign('CANCEL', $__LANG->get('cancel'));
	$view	->	assign('BACKTO', $_SESSION['FROM']);
		
	# form data

	$view	->	assign ('CONNECTED_ID_s', array_unique($REQUESTDATA['reversID']));
	$view	->	assign ('DATA', $REQUESTDATA); unset($REQUESTDATA);
	$view	->	display();

	exit;
?>
