<?php
	/**
	 *	eBag
	 *
	 *	Open source company administration manager
	 *
	 *	@package	eBag
	 *	@author		Eper Kalman
	 *	@copyright	Copyright (c) 2012-2015, Eper Kalman
	 *	@license	GNU Affero General Public License Version 3 (http://www.gnu.org/licenses/agpl-3.0.html)
	 *	@since		Version 6.0.0
	 */

	/**
	 * eBag define critic customers (they cannot buy)
	 */
	 
	if (! defined('eBag'))	{
	
	      include('../views/logout.php'); 
	      
	      exit();
	}

	check_year_for_write('discounts');

	pagepermission('discounts', 'w');

	load_c('SQL');

	$__SQL	=	new SQL();

	load_c('CRITICS');

	$table	=	new TABLE($_SESSION['BASE'].'.addressbook', PAGEINCREMENT, $_SESSION['list_limit']);

	$table	->	column('personID');
	$table	->	column('contactname', 'box');
	$table	->	column('country', 'box');
	$table	->	column('city', 'box');
	$table	->	column('telephone1');
	$table	->	column('contacttype', 'static');
	$table	->	column('critic');

	$table	->	create();

	$HTMLTABLE	=	&$table->TABLE;

	$_SESSION['FROM'] = backward();

	$view	=	new View('criticals');
	$view 	->	assign('HTMLTABLE', $HTMLTABLE); unset($HTMLTABLE, $table, $__SQL);
	$view 	->	assign('FOCUS', 'contactname');
	$view 	->	assign('SELF', backward());
	$view	->	display();

?>
