<?php
	/**
	 *	eBag
	 *
	 *	Open source company administration manager
	 *
	 *	@package	eBag
	 *	@author		Eper Kalman
	 *	@copyright	Copyright (c) 2012-2015, Eper Kalman
	 *	@license	GNU Affero General Public License Version 3 (http://www.gnu.org/licenses/agpl-3.0.html)
	 *	@since		Version 6.0.0
	 */

	/**
	 * eBag new user
	 */

	if (! defined('eBag'))	{
	
	      include('../views/logout.php'); 
	      
	      exit();
	}
	 
	pagepermission('users', 'w');

	if (isset($_POST['submit']))	{

		load_c('SQL');

		$__SQL	= new SQL();

		load_m('userwrite');

		$__USER	=	new USERWRITE();

		$RESULT = 	$__USER->write($_POST);

		if ($RESULT !==TRUE)	{

			unset($__USER);
			
			$_POST['_err_address'] = backward();

			$_SESSION['_POST_ERR']	=  $_POST;

			$view	=	new View('errorbox');
			$view	->	assign('SELF', $_POST['_err_address'].'&amp;p_err=1');
			$view	->	assign('ERROR', $__LANG->get('error'));
			$view	->	assign('ERRTXT', $__LANG->get($RESULT));
			$view	->	assign('BACK', $__LANG->get('back'));
			$view	->	display();
			exit;
		}

		$USERID	= $__USER->getnewuserid();
		
		unset($__USER);

		$_SESSION['FROM'] = backward();

		$view	=	new View('sucessbox');
		$view	->	assign('SELF', backward());
		$view	->	assign('MESSAGE', $__LANG->get('newusercreated'));
		$view	->	assign('OK', $__LANG->get('ok'));
		$view	->	assign('BACKTO', "loader.php?cat=userpermissions&amp;id=$USERID");
		$view	->	display();
		exit;
	}

	if (post_get_data_verified())	{

		$_POST = enc_quotes($_SESSION['_POST_ERR']);

		unset($_SESSION['_POST_ERR']);
	}

	$view	=	new View('newuser');

	$view	->	assign('NEWUSER', $__LANG->get('newuser'));
	$view	->	assign('SURNAME', $__LANG->get('surname'));
	$view	->	assign('LASTNAME', $__LANG->get('lastname'));
	$view	->	assign('USERNAME', $__LANG->get('username'));
	$view	->	assign('PASSWORD', $__LANG->get('password'));
	$view	->	assign('MAIL', $__LANG->get('mail'));
	$view	->	assign('WRITE', $__LANG->get('write'));
	$view	->	assign('RESET', $__LANG->get('reset'));
	$view	->	assign('CANCEL', $__LANG->get('cancel'));

	$view	->	display();

?>
