<?php
	/**
	 *	eBag
	 *
	 *	Open source company administration manager
	 *
	 *	@package	eBag
	 *	@author		Eper Kalman
	 *	@copyright	Copyright (c) 2012-2015, Eper Kalman
	 *	@license	GNU Affero General Public License Version 3 (http://www.gnu.org/licenses/agpl-3.0.html)
	 *	@since		Version 3.0.2
	 */

	/**
	 * eBag price list print
	 */
	 
	if (! defined('eBag'))	{
	
	      include('../views/logout.php'); 
	      
	      exit();
	}

	$type = $_GET['type'];

	pagepermission($type, 'r');

	$view	=	new View('pricelist');

	$view	->	assign('PRICE_LIST_PRINT', $__LANG->get('pricelistprint'));
	$view	->	assign('INCLUDE_SERVICES', $__LANG->get('includeservices'));
	$view	->	assign('INCLUDE_ARTICLES', $__LANG->get('includearticles'));
	$view	->	assign('PRINT_WITH_DISCOUNT', $__LANG->get('printwithdiscount'));
	$view	->	assign('USER_DEFINED_DISCOUNT', $__LANG->get('userdefineddiscount'));
	$view	->	assign('PRINT_IN_VALUTA', $__LANG->get('printinvaluta').' ('.$__CONF->get('payments', 'valuta').')');
	$view	->	assign('PRINT_IN_CURRENT_CURRENCY', $__LANG->get('printincurrency').' ('.$__CONF->get('payments', 'currency').')');
	$view	->	assign('PRINT_PRICES_WITH_TAXES', $__LANG->get('printwithtaxes'));

	switch($type)	{

		case('services')	:	$view -> assign('PRINT_SERVICES', 'checked');
						$view -> assign('BACKTO', 'loader.php?cat=section&amp;id=services');
						break;

		case('stock')		:	$view -> assign('PRINT_ARTICLES', 'checked');
						$view -> assign('BACKTO', 'loader.php?cat=section&amp;id=feedstocks');
						break;
	}

	$view	->	assign('PRINT', $__LANG->get('print'));
	$view	->	assign('CANCEL', $__LANG->get('cancel'));
	$view	->	assign('RESET', $__LANG->get('reset'));

	$view	->	display();
?>
