<?php
	/**
	 *	eBag
	 *
	 *	Open source company administration manager
	 *
	 *	@package	eBag
	 *	@author		Eper Kalman
	 *	@copyright	Copyright (c) 2012-2015, Eper Kalman
	 *	@license	GNU Affero General Public License Version 3 (http://www.gnu.org/licenses/agpl-3.0.html)
	 *	@since		Version 6.0.0
	 */

	/**
	 * eBag customer selector for summarys
	 */
	 
	if (! defined('eBag'))	{
	
	      include('../views/logout.php'); 
	      
	      exit();
	}

	if (isset($_GET['new'])) 	{

		$_SESSION['LISTPAGE'] = 0;

		unset($_SESSION['customerID'], $_SESSION['COMMAND'], $_SESSION['LIMIT']);
	}

	if (isset($_POST['selected']) && isset($_POST['contactID']) && $_POST['contactID']) $_SESSION['customerID'] = $_POST['contactID'];

	if (isset($_SESSION['customerID']))	{

		header("location: loader.php?cat=summary_customer");

		exit;
	}

	load_c('SQL');

	$__SQL	= new SQL();

	# display customer selector

	load_m('customers2payread');

	$__CUSTOMERS	=	new CUSTOMERSREAD();

	$CUSTOMERS	=	$__CUSTOMERS->read();

	unset($__CUSTOMERS, $__SQL);

	if (! $CUSTOMERS)	{

		$view	=	new View('errorbox');
		$view	->	assign('SELF', 'loader.php?cat=section&amp;id=summary');
		$view	->	assign('ERROR', $__LANG->get('error'));
		$view	->	assign('ERRTXT', $__LANG->get('nocustomers2pay'));
		$view	->	assign('BACK', $__LANG->get('back'));
		$view	->	display();
		exit;
	}

	$view	=	new View('customerselect');

	$view	->	assign('SELF', backward());
	$view	->	assign('LABEL', $__LANG->get('selectcustomer'));
	$view	->	assign('CUSTOMER', $__LANG->get('customer'));
	$view	->	assign('OK', $__LANG->get('ok'));
	$view	->	assign('RESET', $__LANG->get('reset'));
	$view	->	assign('CANCEL', $__LANG->get('cancel'));
	$view	->	assign('BACKTO', 'loader.php?cat=section&amp;id=summary');

	# form data

	$view	->	assign('CUSTOMERS', $CUSTOMERS);

	$view	->	display();

?>
