<?php
	/**
	 *	eBag
	 *
	 *	Open source company administration manager
	 *
	 *	@package	eBag
	 *	@author		Eper Kalman
	 *	@copyright	Copyright (c) 2012-2015, Eper Kalman
	 *	@license	GNU Affero General Public License Version 3 (http://www.gnu.org/licenses/agpl-3.0.html)
	 *	@since		Version 5.0.0
	 */

	/**
	 * eBag userdetails
	 */

	if (! defined('eBag'))	{
	
	      include('../views/logout.php'); 
	      
	      exit();
	}
	
	pagepermission('users', 'w');

	$USERID	= $_GET['id'];

	load_c('SQL');

	$__SQL	= new SQL();

	load_m('userread');

	$__USER	=	new USERREAD();

	$USERDATA	=	$__USER->read($USERID);

	unset($__USER, $__SQL);

	if (! $USERDATA)	{

		$view	=	new View('errorbox');
		$view	->	assign('SELF', $_SESSION['FROM']);
		$view	->	assign('ERROR', $__LANG->get('error'));
		$view	->	assign('ERRTXT', $__LANG->get('cannotread'));
		$view	->	assign('BACK', $__LANG->get('back'));
		$view	->	display();
		exit;
	}

	$view	=	new View('userdetails');

	$view	->	assign('USERDETAILS', $__LANG->get('userdetails', $USERID));
	$view	->	assign('USERID', $USERID);
	$view	->	assign('SURNAME', $__LANG->get('surname'));
	$view	->	assign('LASTNAME', $__LANG->get('lastname'));
	$view	->	assign('USERNAME', $__LANG->get('username'));
	$view	->	assign('MAIL', $__LANG->get('mail'));
	$view	->	assign('DATA', $USERDATA); unset($USERDATA);
	$view	->	assign('PERMISSIONS', $__LANG->get('permissions'));
	$view	->	assign('RESET', $__LANG->get('reset'));
	$view	->	assign('BACKTO', $_SESSION['FROM']);
	$view	->	assign('CANCEL', $__LANG->get('cancel'));

	$view	->	display();
?>
