	/**
	 *	eBag
	 *
	 *	Open source company administration manager
	 *
	 *	@package	eBag
	 *	@author		Eper Kalman
	 *	@copyright	Copyright (c) 2012-2015, Eper Kalman
	 *	@license	GNU Affero General Public License Version 3 (http://www.gnu.org/licenses/agpl-3.0.html)
	 *	@since		Version 6.0.0
	 */
	
	/**
	 * Copies code, name, unit (& price) to new inputs from stock quick search in frame
	 */

	function code2form(field, ID)	{

		var active_field = parent.document.getElementById('active').value;
		
		if (active_field.indexOf('rowid_') == -1) return;

		var parentID = active_field.split('_');

		// check the active field is not deleted

		if (parent.document.getElementById('code_' + parentID[1]) == null) { uncheckall(field); return; }

		var items = ['code', 'name', 'unit', 'price', 'tax', 'type'];
		
		var item_field, parent_item_field, i;
		
		for (i=0; i<6; i++)	{

			item_field = document[field.form.name][items[i]  + '_' + ID ];

			if (item_field != null)	{

				parent_item_field = parent.document.getElementById(items[i] + '_' + parentID[1]);

				if (parent_item_field != null) parent_item_field.value = item_field.value;
			}
		}

		uncheckall(field);
	}

	function uncheckall(field)	{
	  
		var count, i;

		var boxes = document.getElementsByTagName('input');

		if (boxes == null) return;

		count = boxes.length;

		for(i=0; i<count; i++)	{

			if (boxes[i].type == 'checkbox') boxes[i].checked = false;
		}

		field.checked = true;
	}
