	/**
	 *	eBag
	 *
	 *	Open source company administration manager
	 *
	 *	@package	eBag
	 *	@author		Eper Kalman
	 *	@copyright	Copyright (c) 2012-2015, Eper Kalman
	 *	@license	GNU Affero General Public License Version 3 (http://www.gnu.org/licenses/agpl-3.0.html)
	 *	@since		Version 6.0.0
	 */
	
	/**
	 * Copy selected values to inputs (service, offer, order etc.)
	 */

	function copy2list(field, ID)	{
	  
		var i;

		var form_name	= field.form.name;

		var parent_form	= parent.document.forms[0];

		parent_form.contactID.value   = document[form_name]['check_' + ID ].value;
		parent_form.contactname.value = document[form_name]['name_' + ID ].value;

		if (parent_form.service_discount != null) parent_form.service_discount.value = document[form_name]['service_discount_' + ID ].value;
		if (parent_form.article_discount != null) parent_form.article_discount.value = document[form_name]['article_discount_' + ID ].value;

		var boxes = document.getElementsByTagName('input');

		if (boxes == null) return;

		var count = boxes.length;

		for (i=0; i<count; i++)	{

			if (boxes[i].type == 'checkbox') boxes[i].checked = false;
		}

		field.checked = true;
	}
