	/**
	 *	eBag
	 *
	 *	Open source company administration manager
	 *
	 *	@package	eBag
	 *	@author		Eper Kalman
	 *	@copyright	Copyright (c) 2012-2015, Eper Kalman
	 *	@license	GNU Affero General Public License Version 3 (http://www.gnu.org/licenses/agpl-3.0.html)
	 *	@since		Version 6.0.0
	 */

	/**
	 * eBag controlls operating suplie request form
	 */
	
	var FORM_TABLE_HEIGHT;

	function setactive(field)	{

		document.forms[0].active.value = field;
	}

	function uniqid()	{

		var ID = 1;
		
		var ROWID;

		while(true)	{

			ROWID	=	'rowid_' + ID;

			if (document.getElementById(ROWID)==null)	break;

			ID++;
		}

		return ID;
	}

	function appendrow(field)	{

		var ID	=	uniqid();

		var DIV	=	'<div id="rowid_' + ID + '" class="onerow">'
				+ '<input id="code_' + ID + '" name="code[]" maxlength="25" class="code-long" value="" onfocus="setactive(\'rowid_'+ ID +'\')" onkeypress="return nextfield(this, event, \'name\')" onchange="typesearch(this, \'operating_suplies\')">&nbsp;'
				+ '<input id="name_' + ID + '" name="name[]" maxlength="40" class="name-long" value="" onfocus="setactive(\'rowid_'+ ID +'\')" onkeypress="return nextfield(this, event, \'quantity\')">&nbsp;'
				+ '<input id="quantity_' + ID + '" name="quantity[]" maxlength="15" class="quantity-long" onfocus="setactive(\'rowid_'+ ID +'\')" value="" onkeypress="return nextfield(this, event, \'add\')">&nbsp;'
				+ '<input id="unit_' + ID + '" name="unit[]" readonly maxlength="15" class="unit-long" value="" onfocus="setactive(\'rowid_'+ ID +'\')" onkeypress="return nextfield(this, event, \'add\')">&nbsp;'
				+ '<input id="add_' + ID + '" class="addremove-button" value="+" type="button" onclick="appendrow(this)">&nbsp;'
				+ '<input class="addremove-button" value="-" type="button" onclick="removerow(this)">'
				+ '</div>';

		$(field.parentNode).after(DIV);
		
		restore_table_height();
		
		document.getElementById('code_' + ID).focus();
	}

	function removerow(field)	{

		$(field.parentNode).remove();
		
		restore_table_height();
	}
	
	function restore_table_height()	{

		if (! FORM_TABLE_HEIGHT) FORM_TABLE_HEIGHT = 1;
		
		$('#formtable').height(FORM_TABLE_HEIGHT);
		
		$('#container').css('background', 'transparent');
	}
	
	function get_form_height()	{
	
		FORM_TABLE_HEIGHT = $('#formtable').height();
	}
