<?php
	/**
	 *	eBag
	 *
	 *	Open source company administration manager
	 *
	 *	@package	eBag
	 *	@author		Eper Kalman
	 *	@copyright	Copyright (c) 2012-2015, Eper Kalman
	 *	@license	GNU Affero General Public License Version 3 (http://www.gnu.org/licenses/agpl-3.0.html)
	 *	@since		Version 6.0.0
	 */

	/**
	 * eBag system reset (cache and system marks if forced)
	 */
	 
	load_f('file_extension');

	class CACHE_RESET	{
	
		var $BACKUP_DIR = FALSE;
	
		function __construct()	{
		
			global $__CONF;
			
			$this->CONF = &$__CONF;
		}
	
		function delete_marks()	{
		  
			@unlink(BASEDIR.'tmp/maintenance.conf');
		  
			if ($this->CONF->get('backup', 'directory'))	{
			
				$dir = safe_dir($this->CONF->get('backup', 'directory'));
				
				if (! is_dir($dir)) return;
			
				@unlink($dir.'/backup_finished.tmp');
				
				@unlink($dir.'/backup_started.tmp');
			}
		}

		function delete_cache()	{
		
			$dir = BASEDIR.'tmp';

			if ($dh = @opendir($dir))	{

				while (($file = readdir($dh)) != FALSE )	{

					if ((($file==".") or ($file=="..")) or (! is_file("$dir/$file"))) continue;
					
					if ((substr($file, 0, 7) == 'c_view_') && (file_extension($file) == 'tmp')) @unlink("$dir/$file");
				}

				closedir($dh);
			}
		}
	}


?>