<?php
	/**
	 *	eBag
	 *
	 *	Open source company administration manager
	 *
	 *	@package	eBag
	 *	@author		Eper Kalman
	 *	@copyright	Copyright (c) 2012-2015, Eper Kalman
	 *	@license	GNU Affero General Public License Version 3 (http://www.gnu.org/licenses/agpl-3.0.html)
	 *	@since		Version 3.0.2
	 */

	/**
	 * eBag claimread
	 */
	 
	if (! defined('eBag'))	{
	
	      include('../views/logout.php'); 
	      
	      exit();
	}

	class CLAIMREAD		{

		function __construct()	{

			global $__SQL, $__CONF;
	
			$this->SQL	=	&$__SQL;
	
			$this->FORMAT	=	$__CONF->get('date', 'sql_format');

			$this->BASE	=	$_SESSION['BASE'];
		}

		public function read($ID)	{

			$ID	=	$this->SQL->escape($ID);

			$DATA	=	FALSE;

			$this->SQL->query("	SELECT 	`billID`, DATE_FORMAT(`date_of_creation`, '$this->FORMAT') AS `date_of_creation`,
							`date_of_creation` AS `sql_date_of_creation`,
							DATE_FORMAT(`payment_deadline`, '$this->FORMAT') AS `payment_deadline`,
							`contactname`, `city`, `sum`, `baseyear`
						FROM $this->BASE.claims
						WHERE `personID`='$ID' LIMIT 1"	);

			if ($this->SQL->num_rows())	{

				$DATA		=	$this->SQL->RESULT->fetch_assoc();

				$billID		=	$DATA['billID'];

				$year		=	$DATA['baseyear'];

				$from		=	base64_encode("claimdetails&amp;id=$ID");

				$DATA['billID']	=	"<a class=\"menu\" href=\"loader.php?cat=billdetails&amp;id=$billID&amp;year=$year&amp;from=$from\">$billID/$year</a>";
			}

			return $DATA;
		}
	}
?>
