<?php
	/**
	 *	eBag
	 *
	 *	Open source company administration manager
	 *
	 *	@package	eBag
	 *	@author		Eper Kalman
	 *	@copyright	Copyright (c) 2012-2015, Eper Kalman
	 *	@license	GNU Affero General Public License Version 3 (http://www.gnu.org/licenses/agpl-3.0.html)
	 *	@since		Version 6.0.0
	 */

	/**
	 * eBag company data write extends data read
	 */
	 
	if (! defined('eBag'))	{
	
	      include('../views/logout.php'); 
	      
	      exit();
	}
	
	load_f('is_longer');

	class COMPANYDATAWRITE extends COMPANYDATAREAD	{

		private function prepare($DATA)	{

			unset($DATA['submit'], $DATA['ID']);
		
			if (	(is_empty($DATA['companyname'])) or
				(is_longer($DATA['companyname'], 40)) or
				(is_empty($DATA['country'])) or
				(is_empty($DATA['city'])) or 
				(is_empty($DATA['zip'])) or 
				(is_empty($DATA['street'])))	return FALSE;

			# Escape the data

			foreach ($DATA as $key=>$val) $DATA[$key] = $this->SQL->n_escape($val);

			return $DATA;

		}


		public function write($DATA)	{

			if (! $DATA = $this->prepare($DATA)) return FALSE;

			extract($DATA); unset($DATA);

			$COMMAND	="INSERT INTO ebag.companydata VALUES (	NULL, $companyname, $country, $city, $zip, $street, $telephone1, $telephone2,
										$fax, $mail, $website, $account1, $bank1, $account2, $bank2, $tax_id_number,
										$registration_number, $company_number, $business_activity_code, '0')";
			$this->SQL->query($COMMAND);

			return TRUE;

		}

		public function update($ID, $DATA)	{

			if (! $DATA = $this->prepare($DATA)) return FALSE;

			$ID	=	$this->SQL->escape($ID);

			extract($DATA); unset($DATA);

			$COMMAND =	"UPDATE ebag.companydata SET	`companyname`=$companyname, `country`=$country, `city`=$city, `zip`=$zip, `street`=$street,
									`telephone1`=$telephone1, `telephone2`=$telephone2, `fax`=$fax, `mail`=$mail, `website`=$website,
									`account1`=$account1, `bank1`=$bank1, `account2`=$account2, `bank2`=$bank2, 
									`tax_id_number`=$tax_id_number,	`registration_number`=$registration_number, 
									`company_number`=$company_number, `business_activity_code`=$business_activity_code 
					WHERE `personID`='$ID'";

			$this->SQL->query($COMMAND);

			return TRUE;
		}
	}
?>
