<?php
	/**
	 *	eBag
	 *
	 *	Open source company administration manager
	 *
	 *	@package	eBag
	 *	@author		Eper Kalman
	 *	@copyright	Copyright (c) 2012-2015, Eper Kalman
	 *	@license	GNU Affero General Public License Version 3 (http://www.gnu.org/licenses/agpl-3.0.html)
	 *	@since		Version 3.0.2
	 */

	/**
	 * eBag customers read for payments form
	 */
	 
	if (! defined('eBag'))	{
	
	      include('../views/logout.php'); 
	      
	      exit();
	}

	class CUSTOMERSREAD	{

		function __construct()	{

			global $__SQL;

			$this->SQL	=	&$__SQL;
	
			$this->BASE	=	$_SESSION['BASE'];
		}

		public function read()	{

			$DATA	=	FALSE;

			# note:  contactypes 0=>company; 1=>buyer

			$this->SQL->query("	SELECT `personID`, `contactname`, `city` 
						FROM $this->BASE.addressbook 
						WHERE (`contacttype`='0' OR `contacttype`='1') AND `deleted` IS NOT NULL ORDER BY `contactname`	");

			if ($this->SQL->num_rows())	{

				while ($RESULT = $this->SQL->RESULT->fetch_assoc())	{

					$DATA[$RESULT['personID']]	=	$RESULT['contactname'].' -> '.$RESULT['city'];
				}
			}

			return $DATA;
		}

	}
