<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
	<head>
		<meta http-equiv="Content-Type" CONTENT="text/html; charset=utf-8">
 		<meta name="robots" content="noindex,nofollow">

		<title>eBag</title>

		<link href="../css/<?php echo TEXT_DIRECTION; ?>/default.css?ver=<?php echo VERSION_NUMBER; ?>" rel="stylesheet" type="text/css">

		<script type="text/javascript" src="../js/essentials.js?ver=<?php echo VERSION_NUMBER; ?>"></script>
		<script type="text/javascript" src="../js/requestobject.js?ver=<?php echo VERSION_NUMBER; ?>"></script>
		<script type="text/javascript" src="../js/nextfield_byid_rows.js?ver=<?php echo VERSION_NUMBER; ?>"></script>
		<script type="text/javascript" src="../js/quick_search_parent.js?ver=<?php echo VERSION_NUMBER; ?>"></script>
		<script type="text/javascript" src="../js/escape_function.js?ver=<?php echo VERSION_NUMBER; ?>"></script>
		<script type="text/javascript" src="../js/typesearch.js?ver=<?php echo VERSION_NUMBER; ?>"></script>
		<script type="text/javascript" src="../js/contactnamesearch.js?ver=<?php echo VERSION_NUMBER; ?>"></script>
		<script type="text/javascript" src="../js/summary.js?ver=<?php echo VERSION_NUMBER; ?>"></script>
		<script type="text/javascript" src="../js/setdefault.js?ver=<?php echo VERSION_NUMBER; ?>"></script>
		<script type="text/javascript" src="../js/jquery.js?ver=<?php echo VERSION_NUMBER; ?>"></script>
		<script type="text/javascript" src="../js/order.js?ver=<?php echo VERSION_NUMBER; ?>"></script>
		
		<!--[if lte IE 8]>
			 <script type="text/javascript" src="../js/select2auto.js?ver=<?php echo VERSION_NUMBER; ?>"></script>
		<![endif]-->		
	</head>

	<!-- Note: the order change & new order view are the same. -->

	<body onload="get_form_height();">

		<table id="container">
			<tr>
				<td>
					<table class="tablesearch">

					<tr><td>

						<div class="border"><div class="padding-form">

							<form action="<?php echo $SELF; ?>" id="main" name="main" method="post">

								<table id="formtable" class="form">
									<tr>
										<td class="formlabel" colspan="2">
											<?php echo $ORDERLABEL; ?> 
										</td>
									</tr>

									<tr class="separator"><td colspan="2"></td></tr>

									<tr>
										<td class="formtop-left">

											<!-- header left side -->

											<?php 
												if ((isset($_POST['headerlock'])) && ($_POST['headerlock']))	{

													$READONLY = 'readonly'; $DISABLED='disabled'; $ONCHANGE = 'onchange="setdefault(this)"';

													echo '<input name="headerlock" type="hidden" value="set">';

												}	else	  {

													$READONLY = $DISABLED = $ONCHANGE = '';
												}
											?>

											<table class="form">
											
												<tr>
													<td colspan="2" rowspan="1" style="padding: 0px">
											
														<table style="border-collapse: collapse" width="100%">
															<tr>
																<td style="min-width: 80px">
																	<?php echo $CONTACTID; ?>
																</td>
																<td style="text-align: right">
																	<input id="contactID" <?php echo $READONLY; ?> name="contactID" class="formbox" value="<?php echo $_POST['contactID']; ?>" onfocus="setactive('contactID', 'contact')" onchange="contactnamesearch('<?php echo $_SESSION['BASE']; ?>')" onkeypress="return nextfield(this, event, 'contactname')">
																</td>
															</tr>
								
															<tr>
																<td>
																	<?php echo $CONTACTNAME; ?>
																</td>
																<td style="text-align: right">
																	<input id="contactname" <?php echo $READONLY; ?> name="contactname" class="formbox" maxlength="40" value="<?php echo $_POST['contactname']; ?>" onfocus="setactive('contactID', 'contact')" onkeypress="return nextfield(this, event, 'use_session_discount')">
																</td>
															</tr>
														</table>
													</td>
												</tr>
								
												<tr><td colspan="2">&nbsp;</td></tr>

												<tr>
													<td>
														<input id="use_session_discount" name="use_session_discount" type="checkbox" class="checkbox" <?php if (isset($_POST['use_session_discount']) && ($_POST['use_session_discount'])) echo 'checked'; ?> onkeypress="return nextfield(this, event, 'session_discount')" <?php echo $ONCHANGE; ?>>
														<?php echo $SESSIONDISCOUNT; ?>
													</td>
													<td class="formright">%
														<input id="session_discount" name="session_discount" readonly class="discounts" value="<?php echo $_POST['session_discount']; ?>" onkeypress="return nextfield(this, event, 'use_article_discount')">
													</td>
												</tr>

												<tr>
													<td>
														<input id="use_article_discount" name="use_article_discount" type="checkbox" class="checkbox" <?php if (isset($_POST['use_article_discount']) && ($_POST['use_article_discount'])) echo 'checked'; ?> onkeypress="return nextfield(this, event, 'article_discount')" <?php echo $ONCHANGE; ?>>
														<?php echo $ARTICLEDISCOUNT; ?>
													</td>

													<td class="formright">%
														<input id="article_discount" name="article_discount" readonly class="discounts" value="<?php echo $_POST['article_discount']; ?>" onkeypress="return nextfield(this, event, 'offer_in_valuta')">
													</td>
												</tr>

												<tr>
													<td colspan="2">
														<!-- field need by js calculation, not writes into base -->
														<input id="offer_in_valuta" name="offer_in_valuta" type="checkbox" class="checkbox" onkeypress="return nextfield(this, event, 'payment_form')">
														<?php echo $CALCULATEINVALUTA; ?>
													</td>
												</tr>
											</table>
										</td>

										<td class="formtop-right">

											<!-- header right side -->

											<table class="form">

												<tr>
													<td>
														<?php echo $PAYMENT_FORM; ?>
													</td>
													<td class="formright">

														<select id="payment_form" name="payment_form" <?php echo $DISABLED; ?> class="fullsize" onkeypress="return nextfield(this, event, 'delivery_form')">
													
														<?php
															
															foreach ($PAYMENT_FORMS as $key=>$PAYMENT)	{

																$selected	=	'';

																if ($_POST['payment_form']==$key) $selected = 'selected';

																echo "<option $selected value=\"$key\">$PAYMENT</option>\n";
															}

														?>
							
														</select>
													</td>
												</tr>

												<tr>
													<td>
														<?php echo $DELIVERY_FORM; ?>
													</td>
													<td class="formright">

														<select id="delivery_form" name="delivery_form" <?php echo $DISABLED; ?> class="fullsize" onkeypress="return nextfield(this, event, 'deadline_days')">
													
														<?php
															
															foreach ($DELIVERY_TYPES as $key=>$DELIVERY)	{

																$selected	=	'';

																if ($_POST['delivery_form']==$key) $selected = 'selected';

																echo "<option $selected value=\"$key\">$DELIVERY</option>\n";
															}

														?>
							
														</select>
													</td>
												</tr>

												<tr>
													<td>
														<?php echo $DEADLINE; ?>
													</td>
													<td class="formright">
														<input id="deadline_days" name="deadline_days" maxlength="15" class="offer-deadline" value="<?php echo $_POST['deadline_days']; ?>" onkeypress="return nextfield(this, event, 'annotation')">
														<input name="dayname" disabled style="width: 69px" value="<?php echo $DAYSWORD; ?>">
													</td>
												</tr>

												<tr>
													<td>
														<?php echo $ANNOTATION; ?>
													</td>
													<td class="formright">
														<textarea id="annotation" name="annotation" style="width: 153px; height: 32px" rows="2" cols="30" onkeypress="return nextfield(this, event, 'comment')"><?php echo $_POST['annotation']; ?></textarea>
													</td>
												</tr>

												<tr>
													<td>
														<?php echo $COMMENT; ?>
													</td>
													<td class="formright">
														<textarea id="comment" name="comment" style="width: 153px; height: 32px" rows="2" cols="30" onkeypress="return nextfield(this, event, 'code_1')"><?php echo $_POST['comment']; ?></textarea>
													</td>
												</tr>
											</table>
										</td>
									</tr>

									<tr><td class="line" colspan="2"><div class="formline"></div></td></tr>

									<tr>
										<td height="300" style="vertical-align: top;" colspan="2">

												<div class="columnames">
													<span id="columncode" class="spancolumns-code-long"><?php echo $COLUMNCODE; ?></span>
													<span id="columnname" class="spancolumns-name-long"><?php echo $COLUMNNAME; ?></span>
													<span id="columnquantity" class="spancolumns-quantity-long"><?php echo $COLUMNQUANTITY; ?></span>
													<span id="columnunit" class="spancolumns-unit-long"><?php echo $COLUMNUNIT; ?></span>
												</div>

												<?php 
													$COUNT		=	1;

													if (isset($_POST['code'])) $COUNT = count($_POST['code']);										

														for ($i=0; $i<$COUNT; $i++)	{

															$code	= $name = $quantity = $unit = $price = $tax = '';
															$ID	= $i+1;

															if (isset($_POST['code'][$i])) 	$code=$_POST['code'][$i];
															if (isset($_POST['name'][$i])) 	$name=$_POST['name'][$i];
															if (isset($_POST['quantity'][$i])) $quantity=$_POST['quantity'][$i];
															if (isset($_POST['unit'][$i])) $unit=$_POST['unit'][$i];
															if (isset($_POST['price'][$i])) $price=$_POST['price'][$i];
															if (isset($_POST['tax'][$i])) $tax=$_POST['tax'][$i];															
															if (isset($_POST['locked'][$i]) && ($_POST['locked'][$i])) {$ROWLOCK = TRUE;} else {$ROWLOCK = FALSE;}

															$REMOVEROW = $DISABLED = $READONLY = '';

															if (($ID > 1) && (! $ROWLOCK))	{

																$REMOVEROW = 'onclick="removerow(this)"';  $READONLY = 'readonly'; 

															}	else	  {

																if ($ROWLOCK) {$DISABLED = 'disabled';} else {$READONLY = 'readonly';}
															}

															echo	<<<"EOT"
															<div id="rowid_$ID" class="onerow">
																<input id="code_$ID" name="code[]" $DISABLED maxlength="25" class="code-long" value="$code" onfocus="setactive('rowid_$ID', 'stock')" onkeypress="return nextfield(this, event, 'name')" onchange="typesearch(this, 'stock')">
																<input id="name_$ID" name="name[]" $DISABLED maxlength="40" class="name-long" value="$name" onfocus="setactive('rowid_$ID', 'stock')" onkeypress="return nextfield(this, event, 'quantity')">
																<input id="quantity_$ID" name="quantity[]" $DISABLED maxlength="15" class="quantity-long" value="$quantity" onfocus="setactive('rowid_$ID', 'stock')" onkeypress="return nextfield(this, event, 'unit')">
																<input id="unit_$ID" name="unit[]" $DISABLED $READONLY maxlength="15" class="unit-long" value="$unit" onfocus="setactive('rowid_$ID', 'stock')" onkeypress="return nextfield(this, event, 'add')">
																<input id="price_$ID" name="price[]" $DISABLED type="hidden" value="$price">
																<input id="tax_$ID" name="tax[]" $DISABLED type="hidden" value="$tax">
																<input id="add_$ID" class="addremove-button" value="+" type="button" onclick="appendrow(this)">
																<!-- the first row cannot be removed because of focusing -->
																<input class="addremove-button" value="-" type="button" $REMOVEROW>
															</div>
EOT;
														}

												?>

										</td>
									</tr>

									<tr><td class="line" colspan="2"><div id="position" class="formline"></div></td></tr>

									<tr>
										<td class="formright" colspan="2">
											<input id="active" name="active" type="hidden" value="rowid_1">
											<input id="active_frame" name="active_frame" type="hidden" value="contactquick">

											<!-- fields need by js calculation -->

											<input type="hidden" name="exchange_rate" value="<?php echo $_POST['exchange_rate']; ?>">
											<input type="hidden" name="currency" value="<?php echo $_POST['currency']; ?>">
											<input type="hidden" name="valuta" value="<?php echo $_POST['valuta']; ?>">
											<input type="hidden" name="used_session_discount" value="<?php echo $USED_SESSION_DISCOUNT; ?>">
											<input type="hidden" name="used_article_discount" value="<?php echo $USED_ARTICLE_DISCOUNT; ?>">
											<input type="hidden" id="columnprice" name="columnprice" value="<?php echo $PRICETXT; ?>">
											<input type="hidden" id="columntax" name="columntax" value="<?php echo $COLUMNTAX; ?>">
											<input type="hidden" id="order_year" name="order_year" value="<?php if (isset($_POST['order_year'])) echo $_POST['order_year']; ?>">

											<!-- buttons -->

											<input class="button-small" value="<?php echo $WRITE; ?>" type="submit" name="submit">
											<input class="button-small" value="<?php echo $SEARCH; ?>" type="button" onclick="Javascript: frame_show_hide();">
											<input class="button-small" value="<?php echo $SUMMARY; ?>" type="button" name="summary" onclick="summ('<?php echo TEXT_DIRECTION; ?>')">
											<input class="button-small" value="<?php echo $RESET; ?>" type="button" name="reset" onclick="Javascript: location.href='<?php echo $SELF; ?><?php if (isset($ORDERID)) echo '&amp;id='.$ORDERID; ?>'">
											<input class="button-small" value="<?php echo $CANCEL; ?>" type="button" name="cancel" onclick="Javascript: location.href='<?php echo $BACKTO; ?>'">
										</td>
									</tr>
								</table>

							</form>
						</div></div>

					</td><td>

						<iframe id="quicksearch" name="quicksearch" width="310" height="470" src="loader.php?cat=contactquicksearch" marginwidth="0" marginheight="0" scrolling="No" frameborder="0">eBag require an iframe capable browser.</iframe>

					</td></tr>
					</table>
				</td>
			</tr>
		</table>

	<script type="text/javascript">parent.frames['cont'].focus(); document.main.<?php if (isset($ORDERID)) {echo 'code_1';} else {echo 'contactID';} ?>.focus();</script>

	</body>

</html>


