<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
	<head>
		<meta http-equiv="Content-Type" CONTENT="text/html; charset=utf-8">
 		<meta name="robots" content="noindex,nofollow">

		<title>eBag</title>

		<link href="../css/<?php echo TEXT_DIRECTION; ?>/default.css?ver=<?php echo VERSION_NUMBER; ?>" rel="stylesheet" type="text/css">

		<script type="text/javascript" src="../js/essentials.js?ver=<?php echo VERSION_NUMBER; ?>"></script>
		<script type="text/javascript" src="../js/requestobject.js?ver=<?php echo VERSION_NUMBER; ?>"></script>
		<script type="text/javascript" src="../js/nextfield_byid_rows.js?ver=<?php echo VERSION_NUMBER; ?>"></script>
		<script type="text/javascript" src="../js/quick_search_parent.js?ver=<?php echo VERSION_NUMBER; ?>"></script>
		<script type="text/javascript" src="../js/escape_function.js?ver=<?php echo VERSION_NUMBER; ?>"></script>
		<script type="text/javascript" src="../js/typesearch.js?ver=<?php echo VERSION_NUMBER; ?>"></script>
		<script type="text/javascript" src="../js/jquery.js?ver=<?php echo VERSION_NUMBER; ?>"></script>
		<script type="text/javascript" src="../js/productionorder.js?ver=<?php echo VERSION_NUMBER; ?>"></script>

	</head>

	<!-- Note: the production order change & new request view are the same. -->

	<body onload="get_form_height();">
	
		<table id="container" width="100%">
			<tr>
				<td>

					<table class="tablesearch">

					<tr><td>

						<div class="border"><div class="padding-form">

							<form action="<?php echo $SELF; ?>" id="main" name="main" method="post">

								<table id="formtable" class="form">
									<tr>
										<td class="formlabel" colspan="2">
											<?php echo $PRODUCTION_ORDER_LABEL; ?> 
										</td>
									</tr>

									<tr class="separator"><td colspan="2"></td></tr>

									<tr>
										<td class="formtop-left">

											<!-- header left side -->

											<table class="form">
												<tr>
													<td style="min-width: 120px">
														<?php echo $CODE; ?>
													</td>
													<td class="formright">
														<input id="articalcode" name="articalcode" readonly class="formbox" value="<?php echo $_POST['articalcode']; ?>" onkeypress="return nextfield(this, event, 'articalname')">
													</td>
												</tr>
					
												<tr>
													<td>
														<?php echo $ARTICALNAME; ?>
													</td>
													<td class="formright">
														<input id="articalname" name="articalname" readonly class="formbox" value="<?php echo $_POST['articalname']; ?>" onkeypress="return nextfield(this, event, 'orderID')">
													</td>
												</tr>

												<tr>
													<td>
														<?php echo $CONNECTED_WITH_ORDER; ?>
													</td>
													<td class="formright">
														<input id="orderID" name="orderID" readonly class="formbox" value="<?php echo $_POST['orderID']; ?>" onkeypress="return nextfield(this, event, 'articalquantity')">
													</td>
												</tr>

												<tr>
													<td>
														<?php echo $QUANTITY; ?>
													</td>
													<td class="formright">
														<input id="articalquantity" name="articalquantity" <?php if ((isset($_POST['orderID'])) && ($_POST['orderID']) && ($_POST['orderID']!='-')) echo 'readonly'; ?> class="formbox" value="<?php echo $_POST['articalquantity']; ?>" onkeypress="return nextfield(this, event, 'use_session_discount')">
													</td>
												</tr>

												<tr>
													<td>
														<?php echo $CUSTOMER; ?>
													</td>
													<td class="formright">
														<input id="contactname" name="contactname" readonly class="formbox" value="<?php echo $_POST['contactname']; ?>" onkeypress="return nextfield(this, event, 'date_of_creation')">
													</td>
												</tr>

												<tr>
													<td>
														<?php echo $DATE_OF_CREATION; ?>
													</td>
													<td class="formright">
														<input id="date_of_creation" name="date_of_creation" readonly class="formbox" value="<?php echo $_POST['date_of_creation']; ?>" onkeypress="return nextfield(this, event, 'date_of_deadline')">
													</td>
												</tr>

												<tr>
													<td>
														<?php echo $DATE_OF_DEADLINE; ?>
													</td>
													<td class="formright">
														<input id="date_of_deadline" name="date_of_deadline" <?php if ((isset($_POST['orderID'])) && ($_POST['orderID']) && ($_POST['orderID']!='-')) echo 'readonly'; ?> class="formbox" value="<?php echo $_POST['date_of_deadline']; ?>" onkeypress="return nextfield(this, event, 'technology')">
													</td>
												</tr>
											</table>
										</td>

										<td class="formtop-right">

											<!-- header right side -->

											<table class="form" width="100%">

												<tr>
													<td colspan="2">
														<?php echo $TECHNOLOGY; ?>
													</td>
												</tr>
	
												<tr>
													<td class="formright" colspan="2">
														<textarea id="technology" name="technology" style="width: 213px; height: 128px" rows="2" cols="30" onkeypress="return nextfield(this, event, 'drawingID')"><?php echo $_POST['technology']; ?></textarea>
													</td>
												</tr>

												<tr>
													<td>
														<?php echo $DRAWING_NUMBER; ?>
													</td>
													<td class="formright">
														<input id="drawingID" name="drawingID" class="formbox" value="<?php echo $_POST['drawingID']; ?>" onkeypress="return nextfield(this, event, 'code_1')">
													</td>
												</tr>

											</table>
										</td>
									</tr>

									<tr><td class="line" colspan="2"><div class="formline"></div></td></tr>

									<tr>
										<td height="250" style="vertical-align: top;" colspan="2">

												<div class="columnames">
													<span class="spancolumns-code-long"><?php echo $COLUMNCODE; ?></span>
													<span class="spancolumns-name-extralong"><?php echo $COLUMNNAME; ?></span>
													<span class="spancolumns-quantity-long"><?php echo $COLUMNQUANTITY; ?></span>
													<span class="spancolumns-unit"><?php echo $COLUMNUNIT; ?></span>
												</div>

												<?php 
													$COUNT		=	1;

													if (isset($_POST['code'])) $COUNT = count($_POST['code']);										

														for ($i=0; $i<$COUNT; $i++)	{

															$code	= $name = $quantity = $unit = $type = '';
															$ID	= $i+1;		

															if (isset($_POST['code'][$i])) 	$code=$_POST['code'][$i];
															if (isset($_POST['name'][$i])) 	$name=$_POST['name'][$i];
															if (isset($_POST['quantity'][$i])) $quantity=$_POST['quantity'][$i];
															if (isset($_POST['unit'][$i])) $unit=$_POST['unit'][$i];
															if (isset($_POST['type'][$i])) $type=$_POST['type'][$i];

															if ((! isset($REMOVEROW)) && ($ID > 1)) $REMOVEROW = 'onclick="removerow(this)"';

														echo	<<<"EOT"
														<div id="rowid_$ID" class="onerow">
															<input id="code_$ID" name="code[]" maxlength="25" class="code-long" value="$code" onfocus="setactive('rowid_$ID')" onkeypress="return nextfield(this, event, 'name')" onchange="typesearch(this, 'feedstock_stock')">
															<input id="name_$ID" name="name[]" maxlength="40" class="name-extralong" value="$name" onfocus="setactive('rowid_$ID')" onkeypress="return nextfield(this, event, 'quantity')">
															<input id="quantity_$ID" name="quantity[]" maxlength="15" class="quantity-long" value="$quantity" onfocus="setactive('rowid_$ID')" onkeypress="return nextfield(this, event, 'unit')">
															<input id="unit_$ID" name="unit[]" readonly maxlength="15" class="unit" value="$unit" onfocus="setactive('rowid_$ID')" onkeypress="return nextfield(this, event, 'add')">
															<input id="type_$ID" name="type[]" type="hidden" value="$type">
															<input id="add_$ID" class="addremove-button" value="+" type="button" onclick="appendrow(this)">
															<!-- the first row cannot be removed because of focusing -->
															<input class="addremove-button" value="-" type="button" $REMOVEROW>
														</div>
EOT;
												}

												?>

										</td>
									</tr>

									<tr><td class="line" colspan="2"><div id="position" class="formline"></div></td></tr>

									<tr>
										<td class="formright" colspan="2">
											<input id="active" name="active" type="hidden" value="rowid_1">
											<input name="rowID" type="hidden" value="<?php if (isset($_POST['rowID'])) echo $_POST['rowID']; ?>">
											<input name="stocktype" type="hidden" value="<?php if (isset($_POST['stocktype'])) echo $_POST['stocktype']; ?>">
											<input type="hidden" id="productionorder_year" name="productionorder_year" value="<?php if (isset($_POST['productionorder_year'])) echo $_POST['productionorder_year']; ?>">
											
											<input class="button-small" value="<?php echo $WRITE; ?>" type="submit" name="submit">
											<input class="button-small" value="<?php echo $SEARCH; ?>" type="button" onclick="Javascript: frame_show_hide();">
											<input class="button-small" value="<?php echo $RESET; ?>" type="button" name="reset" onclick="Javascript: location.href='<?php echo $SELF; ?><?php if (isset($PRODUCTIONORDERID)) echo '&amp;id='.$PRODUCTIONORDERID; ?>'">
											<input class="button-small" value="<?php echo $CANCEL; ?>" type="button" name="cancel" onclick="Javascript: location.href='<?php echo $BACKTO; ?>'">
										</td>
									</tr>
								</table>

							</form>
						</div></div>

					</td><td>

						<iframe id="quicksearch" name="quicksearch" width="310" height="470" src="loader.php?cat=feedstockstockquicksearch" marginwidth="0" marginheight="0" scrolling="No" frameborder="0">eBag require an iframe capable browser.</iframe>

					</td></tr>
					</table>
				</td>
			</tr>
		</table>

	<script type="text/javascript">parent.frames['cont'].focus(); document.main.code_1.focus();</script>

	</body>

</html>

