<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
	<head>
		<meta http-equiv="Content-Type" CONTENT="text/html; charset=utf-8">
 		<meta name="robots" content="noindex,nofollow">

		<title>eBag</title>

		<link href="../css/<?php echo TEXT_DIRECTION; ?>/default.css?ver=<?php echo VERSION_NUMBER; ?>" rel="stylesheet" type="text/css">

		<script type="text/javascript" src="../js/essentials.js?ver=<?php echo VERSION_NUMBER; ?>"></script>
		<script type="text/javascript" src="../js/nextfield_by_id.js"></script>
		<script type="text/javascript" src="../js/jquery.js?ver=<?php echo VERSION_NUMBER; ?>"></script>
		<script type="text/javascript" src="../js/salaryglobals.js?ver=<?php echo VERSION_NUMBER; ?>"></script>
	</head>

	<body onload="get_form_height();">
	
		<table id="container">
			<tr>
				<td>
					<div class="border"><div class="padding-form">

						<form action="<?php echo $SELF; ?>" name="salary_constans" method="post" target="_self">

							<table id="formtable" class="form">
								<tr>
									<td class="formlabel" colspan="2">
										<?php echo $SALARY_GLOBAL_SETTINGS; ?>
									</td>
								</tr>

								<tr class="separator"><td colspan="2"></td></tr>

								<tr>
									<td>
										<?php echo $OVERTIME_WORK; ?> %
									</td>
									<td class="formright">
										<input id="overtime_work" name="overtime_work" style="width: 100px" value="<?php echo $_POST['overtime_work']; ?>" onkeypress="return nextfield(this, event, 'night_work')">
									</td>
								</tr>	

								<tr>
									<td>
										<?php echo $NIGHT_WORK; ?>
									</td>
									<td class="formright">
										<input id="night_work" name="night_work" style="width: 100px" value="<?php echo $_POST['night_work']; ?>" onkeypress="return nextfield(this, event, 'holiday_work')">
									</td>
								</tr>

								<tr>
									<td>
										<?php echo $HOLIDAY_WORK; ?> %
									</td>
									<td class="formright">
										<input id="holiday_work" name="holiday_work" style="width: 100px" value="<?php echo $_POST['holiday_work']; ?>" onkeypress="return nextfield(this, event, 'sick_leave')">
									</td>
								</tr>	

								<tr>
									<td>
										<?php echo $SICK_LEAVE; ?> %
									</td>
									<td class="formright">
										<input id="sick_leave" name="sick_leave" style="width: 100px" value="<?php echo $_POST['sick_leave']; ?>" onkeypress="return nextfield(this, event, 'annual_leave')">
									</td>
								</tr>

								<tr>
									<td>
										<?php echo $ANNUAL_LEAVE; ?> %
									</td>
									<td class="formright">
										<input id="annual_leave" name="annual_leave" style="width: 100px" value="<?php echo $_POST['annual_leave']; ?>" onkeypress="return nextfield(this, event, 'holiday')">
									</td>
								</tr>

								<tr>
									<td>
										<?php echo $HOLIDAY; ?> %
									</td>
									<td class="formright">
										<input id="holiday" name="holiday" style="width: 100px" value="<?php echo $_POST['holiday']; ?>" onkeypress="return nextfield(this, event, 'additional_name_1')">
									</td>
								</tr>

								<tr>
									<td colspan="2">
										<br>
										<?php echo $ADDITIONAL; ?>
									</td>
								</tr>

								<tr><td class="line" colspan="2"><div class="formline"></div></td></tr>

								<?php 
									
									if (isset($_POST['additional_name']))	{

										$count = count($_POST['additional_name']);

										for ($i=0; $i<$count; $i++)	{

											$ID = $i+1;

											$name = $value = $base = '';

											if (isset($_POST['additional_name'][$i]))	$name = $_POST['additional_name'][$i];
											if (isset($_POST['additional_value'][$i]))	$value = $_POST['additional_value'][$i];
											if (isset($_POST['additional_base'][$i])) 	$base = $_POST['additional_base'][$i];

								?>
									<tr id="additionals_<?php echo $ID; ?>">
										<td colspan="2">
										
											<table width="280">
												<tr>
													<td>
														<?php echo $NAME; ?>
													</td>
													<td>
														<input id="additional_name_<?php echo $ID; ?>" name="additional_name[]" style="width: 100px" value="<?php echo $name; ?>" onkeypress="return nextfield(this, event, 'additional_base_<?php echo $ID; ?>')">
													</td>
													<td class="formright">
														<?php echo $BASE; ?>
														<select id="additional_base_<?php echo $ID; ?>" name="additional_base[]" onkeypress="return nextfield(this, event, 'additional_value_<?php echo $ID; ?>')">
															<option <?php if ($base=='s') echo 'selected'; ?> value="s"><?php echo $START; ?></option>
															<option <?php if ($base=='p') echo 'selected'; ?> value="p"><?php echo $PREVIOUS; ?></option>
														</select>
													</td>
												</tr>
												<tr>
													<td>
														<?php echo $VALUE; ?> %
													</td>
													<td>
														<input id="additional_value_<?php echo $ID; ?>" name="additional_value[]" style="width: 100px" value="<?php echo $value; ?>" onkeypress="return nextfield(this, event, 'addrow_<?php echo $ID; ?>')">
													</td>
													<td class="formright">
														<input type="button" class="add-remove-button" value="-" onclick="removerow('<?php echo $ID; ?>')">
														<input id="addrow_<?php echo $ID; ?>" type="button" class="add-remove-button" value="+" onclick="addrow('<?php echo $ID; ?>')">
													</td>
												</tr>
											</table>
										</td>
									</tr>
								<?php
										}
									}
								?>
								
								<tr>
									<td class="formright" colspan="2">
	
										<!-- hidden fields needs by js -->

										<input name="name_str" type="hidden" value="<?php echo $NAME; ?>">
										<input name="value_str" type="hidden" value="<?php echo $VALUE; ?>">
										<input name="base_str" type="hidden" value="<?php echo $BASE; ?>">
										<input name="start_str" type="hidden" value="<?php echo $START; ?>">
										<input name="previous_str" type="hidden" value="<?php echo $PREVIOUS; ?>">

										<!-- buttons -->

										<br>
										<input class="button-mini" value="<?php echo $WRITE; ?>" type="submit" name="submit">
										<input class="button-mini" value="<?php echo $RESET; ?>" type="button" name="reset" onclick="Javascript: location.href='<?php echo $SELF; ?>'">
										<input class="button-mini" value="<?php echo $CANCEL; ?>" type="button" onclick="Javascript: location.href='<?php echo $BACKTO; ?>'">
									</td>
								</tr>
							</table>
						</form>

					</div></div>
				</td>
			</tr>
		</table>

	<script type="text/javascript">document.salary_constans.overtime_work.focus();</script>

	</body>

</html>

