<?php
	/**
	 *	eBag
	 *
	 *	Open source company administration manager
	 *
	 *	@package	eBag
	 *	@author		Eper Kalman
	 *	@copyright	Copyright (c) 2012-2015, Eper Kalman
	 *	@license	GNU Affero General Public License Version 3 (http://www.gnu.org/licenses/agpl-3.0.html)
	 *	@since		Version 5.0.0
	 */

	/**
	 * eBag bill details
	 */
	 
	if (! defined('eBag'))	{
	
	      include('../views/logout.php'); 
	      
	      exit();
	}

	pagepermission('bills', 'r');

	load_c('SQL');

	$__SQL	=  new SQL;

	load_m('billdetails');
	
	$__BILL	=	new BILLDETAILS();

	# if year is set change base to read

	if (isset($_GET['year'])) $__BILL->base('ebagdata'.$_GET['year']);

	$BILLDATA	=	$__BILL->read($_GET['id']);

	unset($__BILL, $__SQL);

	if (! $BILLDATA)		{

		$view	=	new View('errorbox');
		$view	->	assign('SELF', $_SESSION['FROM']);
		$view	->	assign('ERROR', $__LANG->get('error'));
		$view	->	assign('ERRTXT', $__LANG->get('unexistentbill'));
		$view	->	assign('BACK', $__LANG->get('back'));
		$view	->	display();
		exit;
	}

	if (isset($_GET['from']))	{
	
		$FROM	=	'loader.php?cat='.stripslashes(base64_decode($_GET['from']));

	}	else	  {

		$FROM	=	$_SESSION['FROM'];
	}

	$view	=	new View('billdetails');

	$view	->	assign('SELF', backward());
	$view	->	assign('BILLDETAILS', $__LANG->get('billdetails', $_GET['id'].'/'.$BILLDATA['bill_year']));
	$view	->	assign('BILLID', $_GET['id']);
	$view	->	assign('CONTACTNAME', $__LANG->get('contactname'));
	$view	->	assign('COUNTRY', $__LANG->get('country'));
	$view	->	assign('CITY', $__LANG->get('city'));
	$view	->	assign('ZIP', $__LANG->get('zip'));
	$view	->	assign('STREET', $__LANG->get('street'));
	$view	->	assign('DATE_OF_CREATION', $__LANG->get('date_of_creation'));
	$view	->	assign('PAYMENT_DEADLINE', $__LANG->get('payment_deadline'));
	$view	->	assign('PAYMENT_FORM', $__LANG->get('payment_form'));
	$view	->	assign('CONNECTED_WITH_DELIVERYS', $__LANG->get('connected_with_deliverys'));
	$view	->	assign('CONNECTED_WITH_REVERSES', $__LANG->get('connected_with_reverses_short'));
	$view	->	assign('ANNOTATION', $__LANG->get('annotation'));
	$view	->	assign('TAX', $__LANG->get('tax'));
	$view	->	assign('COLUMNPOINT', $__LANG->get('personIDlong'));
	$view	->	assign('COLUMNCODE', $__LANG->get('columnname_code'));
	$view	->	assign('COLUMNNAME', $__LANG->get('columnname_name'));
	$view	->	assign('COLUMNQUANTITY', $__LANG->get('columnname_quantity'));
	$view	->	assign('COLUMNUNIT', $__LANG->get('columnname_unit'));
	$view	->	assign('COLUMNUNITPRICE', $__LANG->get('columnname_unitprice'));
	$view	->	assign('COLUMNSUM', $__LANG->get('columnname_sum'));
	$view	->	assign('COLUMNTAX', $__LANG->get('columnname_tax'));
	$view	->	assign('COMMENT', $__LANG->get('comment'));
	$view	->	assign('PRICE_WITH_TAX', $__LANG->get('sumpricewithtax'));
	$view	->	assign('PRICE_WITHOUT_TAX', $__LANG->get('sumpricewithouttax'));
	$view	->	assign('PRINT', $__LANG->get('print'));
	$view	->	assign('CANCEL', $__LANG->get('cancel'));
	$view	->	assign('BACKTO', $FROM);

	# form data

	$view	->	assign('DATA', $BILLDATA); unset($BILLDATA);

	$view	->	display();

?>
