<?php
	/**
	 *	eBag
	 *
	 *	Open source company administration manager
	 *
	 *	@package	eBag
	 *	@author		Eper Kalman
	 *	@copyright	Copyright (c) 2012-2015, Eper Kalman
	 *	@license	GNU Affero General Public License Version 3 (http://www.gnu.org/licenses/agpl-3.0.html)
	 *	@since		Version 6.0.0
	 */

	/**
	 * eBag contact details
	 */
	 
	if (! defined('eBag'))	{
	
	      include('../views/logout.php'); 
	      
	      exit();
	}

	pagepermission('addressbook', 'r'); 

	load_c('SQL');

	$__SQL	= new SQL();

	load_m('contactread');

	$__CONTACT	=	new CONTACTREAD();

	$CONTACTDATA	=	$__CONTACT->read($_GET['id']);
	
	load_f('http_href');
	
	$CONTACTDATA['website_href'] = http_href($CONTACTDATA['website']);

	unset($__SQL, $__CONTACT);

	if (! $CONTACTDATA)	{

		$view	=	new View('errorbox');
		$view	->	assign('SELF', $_SESSION['FROM']);
		$view	->	assign('ERROR', $__LANG->get('error'));
		$view	->	assign('ERRTXT', $__LANG->get('cannotread'));
		$view	->	assign('BACK', $__LANG->get('back'));
		$view	->	display();
		exit;
	}

	$view	=	new View('contactdetails');

	$view	->	assign('SELF', backward());
	$view	->	assign('CONTACTDETAILS', $__LANG->get('contactdetails', $_GET['id']));
	$view	->	assign('NAME', $__LANG->get('contactname'));
	$view	->	assign('SECONDDELIVERY', $__LANG->get('seconddelivery'));
	$view	->	assign('CONTACTPERSON', $__LANG->get('contactperson'));
	$view	->	assign('DELIVERYCOUNTRY', $__LANG->get('deliverycountry'));
	$view	->	assign('COUNTRY', $__LANG->get('country'));
	$view	->	assign('DELIVERYCITY', $__LANG->get('deliverycity'));
	$view	->	assign('CITY', $__LANG->get('city'));
	$view	->	assign('DELIVERYZIP', $__LANG->get('deliveryzip'));
	$view	->	assign('ZIP', $__LANG->get('zip'));
	$view	->	assign('DELIVERYSTREET', $__LANG->get('deliverystreet'));
	$view	->	assign('STREET', $__LANG->get('street'));
	$view	->	assign('DELIVERYDAYOFWEEK', $__LANG->get('deliverydayofweek'));
	$view	->	assign('TELEPHONE1', $__LANG->get('telephone1'));
	$view	->	assign('TELEPHONE2', $__LANG->get('telephone2'));
	$view	->	assign('ACCOUNT1', $__LANG->get('account1'));
	$view	->	assign('ACCOUNT2', $__LANG->get('account2'));
	$view	->	assign('BANK1', $__LANG->get('bank1'));
	$view	->	assign('BANK2', $__LANG->get('bank2'));
	$view	->	assign('FAX', $__LANG->get('fax'));
	$view	->	assign('MOBILE', $__LANG->get('mobile'));
	$view	->	assign('MAIL', $__LANG->get('mail'));
	$view	->	assign('TAXIDNO', $__LANG->get('taxidno'));
	$view	->	assign('WEBSITE', $__LANG->get('website'));
	$view	->	assign('TYPE', $__LANG->get('contacttype'));
	$view	->	assign('CANCEL', $__LANG->get('cancel'));
	$view	->	assign('RESET', $__LANG->get('reset'));
	$view	->	assign('WRITE', $__LANG->get('write'));

	/**
	 * Form values
	 */

	$view	->	assign('DAYNAME', $__LANG->get('day'.$CONTACTDATA['delivery_day_of_week']));
	$view	->	assign('CONTACTTYPE', $__LANG->get('type'.$CONTACTDATA['contacttype']));
	$view	->	assign('DATA', $CONTACTDATA); unset($CONTACTDATA);
	$view	->	assign('BACKTO', $_SESSION['FROM']);

	$view	->	display();
?>
