<?php
	/**
	 *	eBag
	 *
	 *	Open source company administration manager
	 *
	 *	@package	eBag
	 *	@author		Eper Kalman
	 *	@copyright	Copyright (c) 2012-2015, Eper Kalman
	 *	@license	GNU Affero General Public License Version 3 (http://www.gnu.org/licenses/agpl-3.0.html)
	 *	@since		Version 3.0.2
	 */

	/**
	 * eBag list of employees
	 */

	if (! defined('eBag'))	{
	
	      include('../views/logout.php'); 
	      
	      exit();
	}

	pagepermission('employees', 'r');
	
	load_c('SQL');

	$__SQL	=	new SQL();

	load_c('TABLE');

	# set the base

	$table	=	new TABLE($_SESSION['BASE'].'.employees', 'employeedetails', 'employeechange', 'employeedelete', PAGEINCREMENT, $_SESSION['list_limit']);

	$table	->	column('personID');
	$table	->	column('employeename', 'box');
	$table	->	column('workplace', 'listbox');
	$table	->	column('date_of_employment', 'date');
	$table	->	column('city', 'listbox');
	$table	->	column('telephone');

	$table	->	create();

	$HTMLTABLE	=	&$table->TABLE;

	$_SESSION['FROM'] = backward();

	$view	=	new View('tablelist');
	$view 	->	assign('HTMLTABLE', $HTMLTABLE); unset($HTMLTABLE, $table, $__SQL);
	$view 	->	assign('FOCUS', 'employeename');
	$view 	->	assign('SELF', backward());
	$view	->	display();

?>
