<?php

	/**
	 *	eBag
	 *
	 *	Open source company administration manager
	 *
	 *	@package	eBag
	 *	@author		Eper Kalman
	 *	@copyright	Copyright (c) 2012-2015, Eper Kalman
	 *	@license	GNU Affero General Public License Version 3 (http://www.gnu.org/licenses/agpl-3.0.html)
	 *	@since		Version 6.0.0
	 */

	/**
	 *	Shows installation license window
	 */
	 
	 include('installationconf.php');
	 
	 foreach(array('lang', 'direction') as $key)	{
	 
		if (! isset($_GET[$key]))	{
		
			if (isset($_POST[$key])) {$_GET[$key] = $_POST[$key];} else {exit('Please run the install.php script to start new installation');}
		      
		}	else	{
		
			$_POST[$key] = $_GET[$key];
		}
	 }
	 
	 if (isset($_POST['accept']))	{
	
		header('location: installconfiguration.php?lang='.$_GET['lang'].'&direction='.$_GET['direction']);
		
		exit;
	 }
	 
	 # load language
	
	 load_f('loadlanguage');
	
	 $__LANG = loadlanguage('install', $_GET['lang']);
	 
	 load_c('View');
	 
	 $view = new View('installationlicense');

	 $view -> assign('SELF', url_encode($_SERVER['PHP_SELF']));
	 $view -> assign('LICENSE', $__LANG['license']);
	 $view -> assign('LICENSE_FILE', '../controllers/installationlicenseread.php?lang='.$_GET['lang']);
	 $view -> assign('CANCEL', $__LANG['cancel']);
	 $view -> assign('ACCEPT', $__LANG['accept']);
	 
	 $view -> display();
	 

?>