<?php
	/**
	 *	eBag
	 *
	 *	Open source company administration manager
	 *
	 *	@package	eBag
	 *	@author		Eper Kalman
	 *	@copyright	Copyright (c) 2012-2015, Eper Kalman
	 *	@license	GNU Affero General Public License Version 3 (http://www.gnu.org/licenses/agpl-3.0.html)
	 *	@since		Version 6.0.0
	 */

	/**
	 * eBag current operating suplie usage list
	 */
	 
	if (! defined('eBag'))	{
	
	      include('../views/logout.php'); 
	      
	      exit();
	}

	pagepermission('operating_suplies', 'r');

	load_c('SQL');

	$__SQL	= new SQL();

	load_c('SUPLIEUSAGE');

	$__USAGE	=	new SUPLIEUSAGE(PAGEINCREMENT, $_SESSION['list_limit'], $_GET['id']);

	$RESULT 	=	$__USAGE->create();

	$BACKTO		=	'loader.php?cat=operatingsupliedetails&amp;id='.$_GET['id'];

	if ($RESULT !== TRUE)	{

		$view	=	new View('errorbox');
		$view	->	assign('SELF', $BACKTO	);
		$view	->	assign('ERROR', $__LANG->get('error'));
		$view	->	assign('ERRTXT', $__LANG->get($RESULT));
		$view	->	assign('BACK', $__LANG->get('back'));
		$view	->	display();
		exit;
	}

	$view	=	new View('supplyusage');

	$view	->	assign('SELF', backward());
	$view	->	assign('ID', $_GET['id']);
	$view	->	assign('USAGE', $__LANG->get('suplieusage'));
	$view	->	assign('CODE', $__LANG->get('code'));
	$view	->	assign('NAME', $__LANG->get('name'));
	$view	->	assign('DATA', $__USAGE->SUPLIEDATA);
	$view	->	assign('HTMLTABLE', $__USAGE->TABLE);
	
	unset($__SUPLIE, $__SQL);
	
	$view	->	assign('BACKTODETAILS', $__LANG->get('backtodetails'));
	$view	->	assign('BACKTO', $BACKTO);

	$view	->	display();

?>
