<?php
	/**
	 *	eBag
	 *
	 *	Open source company administration manager
	 *
	 *	@package	eBag
	 *	@author		Eper Kalman
	 *	@copyright	Copyright (c) 2012-2015, Eper Kalman
	 *	@license	GNU Affero General Public License Version 3 (http://www.gnu.org/licenses/agpl-3.0.html)
	 *	@since		Version 6.0.0
	 */

	/**
	 * eBag offer search
	 */
	 
	if (! defined('eBag'))	{
	
	      include('../views/logout.php'); 
	      
	      exit();
	}

	pagepermission('orders', 'r');

	# Delete previous search data

	if (isset($_GET['new']))	{

		$_SESSION['LISTPAGE']	=	0;

		if (isset($_SESSION['COMMAND'])) unset($_SESSION['COMMAND'], $_SESSION['LIMIT']);

		unset($_GET['new']);
	}

	load_c('SQL');

	$__SQL	=  new SQL();
	
	# Display founds

	if (	(isset($_POST['submit'])) or 
		(isset($_SESSION['COMMAND']))	)		{

			unset($_POST['submit']);

			load_c('SEARCH');

			$search		=	new SEARCH($_SESSION['BASE'].'.orders_header', $_GET['cat'], 'orderdetails', 'orderchange', 'orderdelete', PAGEINCREMENT, $_SESSION['list_limit']);
			$COLUMNS	=	array('personID', 'contactname', 'city', 'contacttype', 'date_of_creation', 'date_of_deadline', 'delivery_day_of_week', 'delivered', 'delivery_form');
			$search		->	column($COLUMNS);

			if (! isset($_POST)) $_POST=array();

			if ($search->addsearch($_POST)); unset($_POST);

			$_SESSION['FROM']	=	backward();

			if ($search->create())	{

				$HTMLTABLE	=	&$search->TABLE;

				$view	=	new View('tablesearch');
				$view 	->	assign('HTMLTABLE', $HTMLTABLE); unset($HTMLTABLE, $search, $__SQL);
				$view 	->	assign('SELF', backward());
				$view 	->	assign('FOCUS', 'NEW');				
				$view	->	display();
				exit;
			}

			$view	=	new View('errorbox');
			$view	->	assign('SELF', backward());
			$view	->	assign('ERROR', $__LANG->get('error'));
			$view	->	assign('ERRTXT', $__LANG->get('nothingtosearch'));
			$view	->	assign('BACK', $__LANG->get('back'));
			$view	->	display();
			exit;
	}

	$view	=	new View('ordersearch');

	$view	->	assign('SELF', backward());
	$view	->	assign('ORDERSEARCH', $__LANG->get('ordersearch'));
	$view	->	assign('ORDERID', $__LANG->get('personIDlong'));
	$view	->	assign('CONTACTID', $__LANG->get('contactID'));
	$view	->	assign('CUSTOMER', $__LANG->get('customer'));
	$view	->	assign('COUNTRY', $__LANG->get('country'));
	$view	->	assign('CITY', $__LANG->get('city'));
	$view	->	assign('TYPE', $__LANG->get('contacttype'));
	$view	->	assign('SECONDDELIVERY', $__LANG->get('seconddelivery'));
	$view	->	assign('DATE_OF_CREATION', $__LANG->get('date_of_creation'));
	$view	->	assign('DATE_OF_DEADLINE', $__LANG->get('date_of_deadline'));
	$view	->	assign('DELIVERY_DAY_OF_WEEK', $__LANG->get('delivery_day_of_week'));
	$view	->	assign('PAYMENT', $__LANG->get('payment_form'));
	$view	->	assign('DELIVERY', $__LANG->get('delivery_form'));
	$view	->	assign('ORIGIN', $__LANG->get('origin'));

	$DAYNAMES = 	array(1=>$__LANG->get('day1'), 2=>$__LANG->get('day2'), 3=>$__LANG->get('day3'), 4=>$__LANG->get('day4'), 5=>$__LANG->get('day5'), 6=>$__LANG->get('day6'), 0=>$__LANG->get('day0'));
	$view	->	assign('DAYNAMES', $DAYNAMES);	unset($DAYNAMES);


	$__PAYMENTS	=	new PAYMENTloader($__CONF->get('cache', 'use_apc_cache'));

	$view	->	assign('PAYMENTS', $__PAYMENTS->getnames());

	unset($__PAYMENTS);

	$__DELIVERYS	=	new DELIVERYloader($__CONF->get('cache', 'use_apc_cache'));

	$view	->	assign('DELIVERYS', $__DELIVERYS->gettypes());

	unset($__DELIVERYS);	

	$ORIGINS	=	array(1=>$__LANG->get('origin1'), 2=>$__LANG->get('origin2'), 3=>$__LANG->get('origin3'));

	$view	->	assign('ORIGINS', $ORIGINS);

	$view	->	assign('CODE', $__LANG->get('code'));
	$view	->	assign('QUANTITY', $__LANG->get('quantity'));

	$view	->	assign('SEARCH', $__LANG->get('search'));
	$view	->	assign('CANCEL', $__LANG->get('cancel'));
	$view	->	assign('RESET', $__LANG->get('reset'));

	$ELEMENTS	=	array ('!=0'=>'!=0', '=0'=>'=0', '<0'=>'&lt;0', '<10'=>'&lt;10', '<50'=>'&lt;50', '<100'=>'&lt;100', '<500'=>'&lt;500', '<1000'=>'&lt;1000');

	$view	->	assign('ELEMENT', $ELEMENTS); unset($ELEMENTS);

	$TYPES		=	array(0=>$__LANG->get("type0"), 1=>$__LANG->get("type1"));

	$view	->	assign('TYPES', $TYPES); unset($TYPES);
	
	unset($__SQL);

	$view	->	display();
?>
