<?php
	/**
	 *	eBag
	 *
	 *	Open source company administration manager
	 *
	 *	@package	eBag
	 *	@author		Eper Kalman
	 *	@copyright	Copyright (c) 2012-2015, Eper Kalman
	 *	@license	GNU Affero General Public License Version 3 (http://www.gnu.org/licenses/agpl-3.0.html)
	 *	@since		Version 5.0.0
	 */

	/**
	 * eBag order details
	 */
	 
	if (! defined('eBag'))	{
	
	      include('../views/logout.php'); 
	      
	      exit();
	}

	pagepermission('orders', 'r');

	if (isset($_GET['from']))	{
	
		$FROM	=	'loader.php?cat='.stripslashes(base64_decode($_GET['from']));

	}	else	  {

		$FROM	=	$_SESSION['FROM'];
	}

	load_c('SQL');

	$__SQL	= new SQL;

	load_m('orderdetails');

	$__ORDER	=	new ORDERDETAILS();

	# if year is set change base to read

	if (isset($_GET['year'])) $__ORDER -> base('ebagdata'.$_GET['year']);

	$ORDERDATA = $__ORDER->read($_GET['id']);

	unset($__ORDER, $__SQL);

	if (! $ORDERDATA)		{

		$view	=	new View('errorbox');
		$view	->	assign('SELF', $FROM);
		$view	->	assign('ERROR', $__LANG->get('error'));
		$view	->	assign('ERRTXT', $__LANG->get('unexistentoffer'));
		$view	->	assign('BACK', $__LANG->get('back'));
		$view	->	display();
		exit;
	}

	$view	=	new View('orderdetails');

	$view	->	assign('SELF', backward());
	$view	->	assign('ORDERDETAILS', $__LANG->get('orderdetails', $_GET['id'].'/'.$ORDERDATA['order_year']));
	$view	->	assign('ORDERID', $_GET['id']);
	$view	->	assign('CONTACTNAME', $__LANG->get('contactname'));
	$view	->	assign('COUNTRY', $__LANG->get('country'));
	$view	->	assign('CITY', $__LANG->get('city'));
	$view	->	assign('ZIP', $__LANG->get('zip'));
	$view	->	assign('STREET', $__LANG->get('street'));
	$view	->	assign('DATE_OF_CREATION', $__LANG->get('date_of_creation'));
	$view	->	assign('DATE_OF_DEADLINE', $__LANG->get('date_of_deadline'));
	$view	->	assign('DELIVERY_DAY_OF_WEEK', $__LANG->get('delivery_day_of_week_short'));
	$view	->	assign('PAYMENT_FORM', $__LANG->get('payment_form'));
	$view	->	assign('DELIVERY_FORM', $__LANG->get('delivery_form'));
	$view	->	assign('SESSIONDISCOUNT', $__LANG->get('session_discount'));
	$view	->	assign('ARTICLEDISCOUNT', $__LANG->get('article_discount_in'));
	$view	->	assign('COLUMNCODE', $__LANG->get('columnname_code'));
	$view	->	assign('COLUMNNAME', $__LANG->get('columnname_name'));
	$view	->	assign('COLUMNQUANTITY', $__LANG->get('columnname_quantity'));
	$view	->	assign('COLUMNUNIT', $__LANG->get('columnname_unit'));
	$view	->	assign('COLUMNUNITPRICE', $__LANG->get('columnname_unitprice'));
	$view	->	assign('COLUMNSUM', $__LANG->get('columnname_sum'));
	$view	->	assign('COLUMNTAX', $__LANG->get('columnname_tax'));
	$view	->	assign('COMMENT', $__LANG->get('comment'));
	$view	->	assign('ANNOTATION', $__LANG->get('annotation'));
	$view	->	assign('TAX', $__LANG->get('tax'));
	$view	->	assign('PRICE_WITH_TAX', $__LANG->get('sumpricewithtax'));
	$view	->	assign('PRICE_WITHOUT_TAX', $__LANG->get('sumpricewithouttax'));
	$view	->	assign('PRINT', $__LANG->get('print'));
	$view	->	assign('CANCEL', $__LANG->get('cancel'));
	$view	->	assign('BACKTO', $FROM);

	# form data

	$view	->	assign('DATA', $ORDERDATA); unset($ORDERDATA);

	$view	->	display();

?>
