<?php
	/**
	 *	eBag
	 *
	 *	Open source company administration manager
	 *
	 *	@package	eBag
	 *	@author		Eper Kalman
	 *	@copyright	Copyright (c) 2012-2015, Eper Kalman
	 *	@license	GNU Affero General Public License Version 3 (http://www.gnu.org/licenses/agpl-3.0.html)
	 *	@since		Version 3.0.2
	 */

	/**
	 * eBag shows selected customer in summarys
	 */
	 
	if (! defined('eBag'))	{
	
	      include('../views/logout.php'); 
	      
	      exit();
	}

	if (! isset ($_SESSION['customerID']))	{

		header("location: loader.php?cat=summary_define_customer&new=1");

		exit;
	}

	load_c('SQL');

	$__SQL	= new SQL();

	load_m('contactname');

	$__CONTACT	=	new CONTACTNAME();

	$CONTACTDATA	=	$__CONTACT->read($_SESSION['customerID']);

	unset($__CONTACT, $__SQL);

	if (! $CONTACTDATA)	{

		header("location: loader.php?cat=summary_define_customer&new=1");

		exit;
	}

	$view	=	new View('summary_customer');
	$view	->	assign('MESSAGE', $__LANG->get('summaryselectedcustomer').' '.$CONTACTDATA['contactname'].' ('.$__LANG->get('city').' : '.$CONTACTDATA['city'].')');
	$view	->	display();
	exit;

?>
