<?php
	/**
	 *	eBag
	 *
	 *	Open source company administration manager
	 *
	 *	@package	eBag
	 *	@author		Eper Kalman
	 *	@copyright	Copyright (c) 2012-2015, Eper Kalman
	 *	@license	GNU Affero General Public License Version 3 (http://www.gnu.org/licenses/agpl-3.0.html)
	 *	@since		Version 2.0.1
	 */

	/**
	 * Forms date string from defined form to mysql form
	 */

	function date2sql($date, $form)		{

		if ((! $date) or (! $form)) return FALSE;

		$SIGN		=	array();
		$inc		=	0;
		$len		=	strlen($form);
		$regular	=	'djmnyY';

		for ($i=0; $i<$len; $i++)	{

			$char	=	substr($form, $i, 1);

			if (strpos($regular, $char)!==FALSE)	{

				if (isset($SIGN[$inc])) $inc++;
				$SIGN[$inc]=$char; 
				$inc++;

				continue;
			}

			if (! isset($SIGN[$inc])) {$SIGN[$inc]=$char;} else {$SIGN[$inc].=$char;}
		}

		$len 	=	strlen($date);
		$inc	=	0;

		for ($i=0; $i<$len; $i++)	{

			$char	=	substr($date, $i, 1);

			if ((isset($SIGN[$inc+1])) && ($char == $SIGN[$inc+1]))	{

				$inc = $inc+2;

			}	else	{
			
				if (isset($SIGN[$inc]))	{

					if (! isset($DATE[$SIGN[$inc]])) {$DATE[$SIGN[$inc]] = $char;} else {$DATE[$SIGN[$inc]] .= $char;}
				}
			}
		}

		if (isset($DATE['y']))	$DATE['Y']	=	$DATE['y']+2000;

		if (isset($DATE['j'])) 	$DATE['d']	=	$DATE['j'];

		if (isset($DATE['n'])) 	$DATE['m']	=	$DATE['n'];

		if ((! isset($DATE['Y'])) or (! isset($DATE['d'])) or (! isset($DATE['m']))) return FALSE;
		
		if (! checkdate ((integer)$DATE['m'], (integer)$DATE['d'], (integer)$DATE['Y'])) return FALSE;

		return @date("Y-m-d", mktime(0,0,0, (integer)$DATE['m'], (integer)$DATE['d'], (integer)$DATE['Y']));
	}

?>
