<?php
	/**
	 *	eBag
	 *
	 *	Open source company administration manager
	 *
	 *	@package	eBag
	 *	@author		Eper Kalman
	 *	@copyright	Copyright (c) 2012-2015, Eper Kalman
	 *	@license	GNU Affero General Public License Version 3 (http://www.gnu.org/licenses/agpl-3.0.html)
	 *	@since		Version 6.0.0
	 */

	/**
	 * eBag returns file extension
	 */

	function file_extension($file)	{
	
		if ((! $file) && (! is_numeric($file))) return '';

		$parts = mb_split('\.', $file);
		
		# if started with . example .htaccess

		if ((! $parts[0]) && (! is_numeric($parts[0]))) array_shift($parts);
					
		if (($count = count($parts)) > 1) return $parts[$count-1];
		
		return '';
	}

?>