<?php
	/**
	 *	eBag
	 *
	 *	Open source company administration manager
	 *
	 *	@package	eBag
	 *	@author		Eper Kalman
	 *	@copyright	Copyright (c) 2012-2015, Eper Kalman
	 *	@license	GNU Affero General Public License Version 3 (http://www.gnu.org/licenses/agpl-3.0.html)
	 *	@since		Version 2.0.1
	 */

	/**
	 * eBag create sorted array of integers from string (1,2, 3-5,)
	 */

	function id_explode($string)	{

		$RAW	=	explode(',', $string);

		$IDs	=	array();

		foreach ($RAW as $PART)		{

			if (strpos($PART, '-') === FALSE)	{

				$PART	=	(integer)$PART;

				if ($PART) $IDs[] = $PART;

				continue;
			}

			list($PART1, $PART2) = explode('-', $PART);

			$PART1	=	(integer)$PART1;
			$PART2	=	(integer)$PART2;

			if ($PART1 && $PART2)	{

				for ($i=$PART1; $i<=$PART2; $i++) $IDs[] = $i;
			}
		}

		if (! count($IDs)) return FALSE;

		$IDs	=	array_unique($IDs, SORT_NUMERIC);

		return $IDs;
	}

?>
