<?php
	/**
	 *	eBag
	 *
	 *	Open source company administration manager
	 *
	 *	@package	eBag
	 *	@author		Eper Kalman
	 *	@copyright	Copyright (c) 2012-2015, Eper Kalman
	 *	@license	GNU Affero General Public License Version 3 (http://www.gnu.org/licenses/agpl-3.0.html)
	 *	@since		Version 3.0.2
	 */

	/**
	 * eBag permission update (explicite write when new users is created)
	 */
	 
	if (! defined('eBag'))	{
	
	      include('../views/logout.php'); 
	      
	      exit();
	}

	class PERMISSIONUPDATE {

		var $ENCODED	=	'';

		function __construct()	{

			global $__SQL;

			$this->SQL	= 	&$__SQL;
			$this->BASE	=	'ebag';
		}

		private function addpermission($PERMISSION)	{

			if (! $this->ENCODED)	{$this->ENCODED='/'.$PERMISSION;} else {$this->ENCODED.='/'.$PERMISSION;}
		}

		private function encode($DECODED)	{

			$ENCODED	=	'';

			$TYPE = array(	'addressbook', 'discounts', 'services', 'feedstock', 'operating_suplies', 'stock', 
					'service_lists', 'offers', 'orders', 'orders_to_stock', 'production', 'deliverys', 
					'bills', 'payments', 'summ_for_customer', 'employees', 'salarys', 'settings', 'users');

			foreach ($TYPE as $type)	{

				$newpermission = $type.'=0';

				if (array_key_exists($type.'_read', $DECODED))	$newpermission = $type.'=1';
				if (array_key_exists($type.'_write', $DECODED))	$newpermission = $type.'=2';

				$this->addpermission($newpermission);
			}
		}

		public function update($USERID, $DECODED)	{

			$USERID	=	$this->SQL->escape($USERID);

			$this->encode($DECODED);

			$this->SQL->query("	UPDATE $this->BASE.users 
						SET `permission`='$this->ENCODED' 
						WHERE `personID`='$USERID' LIMIT 1	");
		}
	}
?>
