<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
	<head>
		<meta http-equiv="Content-Type" CONTENT="text/html; charset=utf-8">
 		<meta name="robots" content="noindex,nofollow">

		<title>eBag</title>

		<link href="../css/<?php echo TEXT_DIRECTION; ?>/default.css?ver=<?php echo VERSION_NUMBER; ?>" rel="stylesheet" type="text/css">

		<script type="text/javascript" src="../js/essentials.js?ver=<?php echo VERSION_NUMBER; ?>"></script>
		<script type="text/javascript" src="../js/nextfield_by_name.js?ver=<?php echo VERSION_NUMBER; ?>"></script>
		<script type="text/javascript" src="../js/requestobject.js?ver=<?php echo VERSION_NUMBER; ?>"></script>
		<script type="text/javascript" src="../js/itemsbonuses.js?ver=<?php echo VERSION_NUMBER; ?>"></script>
		
		<!--[if lte IE 8]>
			 <script type="text/javascript" src="../js/select2auto.js?ver=<?php echo VERSION_NUMBER; ?>"></script>
		<![endif]-->		
	</head>

	<body>
		<table id="container">
			<tr>
				<td>
					<div class="border"><div class="padding-form">

						<form action="<?php echo $SELF; ?>" name="item_related_bonuses" method="post" target="_self">

							<table class="form">

								<tr>
									<td class="formlabel" colspan="2">
										<?php echo $ITEM_RELATED_BONUS; ?>
									</td>
								</tr>

								<tr class="separator"><td colspan="2"></td></tr>

								<tr>
									<td style="font-weight: bold; color: #7E7E7E;" colspan="2">
										<?php echo $EMPLOYEE_NO; ?>
									</td>
								</tr>
								
								<tr>
									<td>
										<?php echo $EMPLOYEE_NAME; ?>
									</td>
									<td class="formright">
										
										<input id="employeename" name="employeename" class="bonusbox" disabled value="<?php echo $_POST['employeename']; ?>" onkeypress="return nextfield(this, event, 'stock_type')">
									</td>
									
								</tr>

								<tr><td class="line" colspan="2"><div class="formline"></div></td></tr>

								<tr>
									<td>
										<?php echo $STOCK_TYPE; ?>
									</td>
									<td class="formright">
										
										<select id="stock_type" name="stock_type" style="width: 202px;" onchange="Javascript: reset_form('stock_type');" onkeypress="return nextfield(this, event, 'stock_id')">
										
											<option selected value="1"><?php echo $ARTICLE; ?></option>
											<option value="2"><?php echo $SERVICE; ?></option>
										</select>

									</td>
									
								</tr>

								<tr>
									<td>
										<?php echo $NUMBER; ?>
									</td>
									<td class="formright">
										
										<input id="stock_id" name="stock_id" style="width: 200px" value="" onchange="Javascript: bonus_data_read(this);" onkeypress="return nextfield(this, event, 'code')">
									</td>
									
								</tr>

								<tr>
									<td>
										<?php echo $ITEM_CODE; ?>
									</td>
									<td class="formright">
										<input id="code" name="code" style="width: 200px" value="" onchange="Javascript: bonus_data_read(this);" onkeypress="return nextfield(this, event, 'bonus_type')">
									</td>
									
								</tr>

								<tr>
									<td>
										<?php echo $ITEM_NAME; ?>
									</td>
									<td class="formright">
										<input id="item_name" name="item_name" style="width: 200px" disabled value="" onkeypress="return nextfield(this, event, 'bonus_type')">
									</td>
									
								</tr>
								
								<tr class="separator"><td colspan="2"></td></tr>

								<tr>
									<td class="darkcenterlabel" colspan="2">
										<?php echo $NOTICE; ?>
									</td>
								</tr>
								
								<tr>
									<td colspan="2">
										<div style="margin-top: 12px"><?php echo $BONUS_TYPE; ?></div>
									</td>
								</tr>

								<tr>
									<td colspan="2">
										<select id="bonus_type" name="bonus_type" class="bonus-type" onchange="Javascript: bonus_data_read(this);" onkeypress="return nextfield(this, event, 'bonus_value')">
										
											<?php
											
												$selected = 'selected';
											
												foreach ($BONUS_TYPES as $value=>$type)	{
													
													echo "<option $selected value=\"$value\">$type</option>\n";
													
													if ($selected) $selected = '';
												}
											?>
											
										</select>
									</td>
								</tr>

								<tr>
									<td>
										<?php echo $BONUS_VALUE; ?>
									</td>
									<td class="formright">
										<input id="bonus_value" name="bonus_value" class="bonusbox" value="" onkeypress="return nextfield(this, event, 'set_bonus')">
									</td>
								</tr>
								
								<tr>
									<td id="status_message" colspan="2" class="formright">
									    &nbsp;
									</td>
								</tr>


								<tr><td class="line" colspan="2"><div class="formline"></div></td></tr>

								<tr>
									<td class="formright" colspan="2">
									
										<input id="employee_id" name="employee_id" type="hidden" value="<?php echo $_POST['employee_id']; ?>">
										<input id="not_found_msg" name="not_found_msg" type="hidden" value="<?php echo $NOT_FOUND_MSG; ?>">
										<input id="set_msg" name="set_msg" type="hidden" value="<?php echo $SET_MSG; ?>">
										<input id="unset_msg" name="unset_msg" type="hidden" value="<?php echo $UNSET_MSG; ?>">
										<input id="type_mismatch_msg" name="type_mismatch_msg" type="hidden" value="<?php echo $TYPE_MISMATCH_MSG; ?>">
										<input id="invalid_bonus_msg" name="invalid_bonus_msg" type="hidden" value="<?php echo $INVALID_BONUS_MSG; ?>">
										<input id="not_product_msg" name="not_product_msg" type="hidden" value="<?php echo $NOT_PRODUCT_MSG; ?>">

										<!-- buttons -->

										<input class="button-small" id="set_bonus" name="set_bonus" value="<?php echo $SET; ?>" type="button"  onclick="Javascript: bonus_data_write();">
										<input class="button-small" name="cancel" value="<?php echo $CANCEL; ?>" type="button" onclick="Javascript: location.href='<?php echo $BACKTO; ?>'">
									</td>
								</tr>
							</table>
						</form>
					</div></div>
				</td>
			</tr>
		</table>

		<script type="text/javascript">document.item_related_bonuses.stock_type.focus();</script>
	</body>
</html>

