<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
	<head>
		<meta http-equiv="Content-Type" CONTENT="text/html; charset=utf-8">
 		<meta name="robots" content="noindex,nofollow">

		<title>eBag</title>

		<link href="../css/<?php echo TEXT_DIRECTION; ?>/default.css?ver=<?php echo VERSION_NUMBER; ?>" rel="stylesheet" type="text/css">

		<script type="text/javascript" src="../js/essentials.js?ver=<?php echo VERSION_NUMBER; ?>"></script>
		<script type="text/javascript" src="../js/nextfield_by_id.js?ver=<?php echo VERSION_NUMBER; ?>"></script>
	</head>

	<body>
		<table id="container">
			<tr>
				<td>
					<div class="border"><div class="padding-form">

						<form action="<?php echo $SELF; ?>" id="deliverychange" name="partorder2stock" method="post">

							<table class="form">
								<tr>
									<td class="formlabel" colspan="2">
										<?php echo $ORDER2STOCK; ?>
									</td>
								</tr>
								
								<tr class="separator"><td colspan="2"></td></tr>

								<tr>
									<td class="formtop-left">
										<table class="form">
											<tr>
												<td>
													<?php echo $SUPPLIER; ?>
												</td>
												<td class="formright">
													<input name="supplier" class="formbox" readonly value="<?php echo $DATA['supplier']; ?>">
												</td>
											</tr>
										</table>
									</td>

									<td class="formtop-right">
										<table class="form" width="100%">
											<tr>
												<td>
													<?php echo $DATE_OF_ORDER; ?>
												</td>
												<td class="formright">
													<input name="date_of_order" class="formbox" readonly value="<?php echo $DATA['date_of_order']; ?>">
												</td>
											</tr>
										</table>
									</td>
								</tr>


								<tr><td class="line" colspan="2"><div class="formline"></div></td></tr>

								<tr>
									<td height="300" style="vertical-align: top;" colspan="2">

											<div class="columnames">
												<span class="deliverycheck-span"></span>
												<span class="spancolumns-code-long"><?php echo $COLUMNCODE; ?></span>
												<span class="spancolumns-name-long"><?php echo $COLUMNNAME; ?></span>
												<span class="deliverycheck-span"></span>
												<span class="spancolumns-quantity-long"><?php echo $COLUMNQUANTITY; ?></span>
												<span class="spancolumns-unit-long"><?php echo $COLUMNUNIT; ?></span>
											</div>

											<?php 
												$COUNT	=	0;

												if (isset($DATA['personID'])) $COUNT = count($DATA['personID']);										

													for ($i=0; $i<$COUNT; $i++)	{

														$personID = $orderID = $code = $name = $quantity = $unit = '';
														
														$ID = $i+1;
														
														if ($ID == $COUNT) {$nextfield='submit';} else {$nextfield='check_'.($ID+1);}

														if (isset($DATA['personID'][$i])) $personID=$DATA['personID'][$i];
														if (isset($DATA['code'][$i])) 	$code=$DATA['code'][$i];
														if (isset($DATA['name'][$i])) 	$name=$DATA['name'][$i];
														if (isset($DATA['quantity'][$i])) $quantity=$DATA['quantity'][$i];
														if (isset($DATA['unit'][$i])) $unit=$DATA['unit'][$i];
														if (isset($DATA['type'][$i])) $type=$DATA['type'][$i];
														
														if (isset($DATA['delivered'][$i]) && $DATA['delivered'][$i]) {$READONLY = 'readonly';} else {$READONLY = '';}

														echo	<<<"EOT"
														<div id="rowid_$ID" class="onerow">
															<span class="deliverycheck-span">
																<input id="check_$ID" name="selectedIDs[]" type="checkbox" class="checkbox" checked $READONLY value="$personID" onkeypress="return nextfield(this, event, 'quantity_$ID')">
															</span>
															<input name="personIDs[]" hidden value="$personID">
															<input readonly class="code-long" value="$code">
															<input readonly class="name-long" value="$name">
															<span class="orderdetails-img"><img src="../images/info.png" width="14" height="14" title="$type" alt="$type" border="0"></span>
															<input id="quantity_$ID" name="quantities[]" class="quantity-long" value="$quantity" $READONLY onkeypress="return nextfield(this, event, '$nextfield')">
															<input readonly class="unit-long" value="$unit">
														</div>
EOT;
													}
											?>

									</td>
								</tr>

								<tr><td class="line" colspan="2"><div class="formline"></div></td></tr>

								<tr>
									<td class="formright" colspan="2">

										<!-- hidden field needs to send forward previous form data -->
										<input name="partially_selected" type="hidden" value="1">
										
										<input name="order2stockID" type="hidden" value="<?php echo $_POST['order2stockID']; ?>">
										<input name="bill_number" type="hidden" value="<?php echo encode_string_quotes($_POST['bill_number']); ?>">
										<input name="delivery_list_number" type="hidden" value="<?php echo encode_string_quotes($_POST['delivery_list_number']); ?>">

										<!-- buttons -->

										<input class="button-small" value="<?php echo $WRITE; ?>" type="submit" id="submit" name="submit">
										<input class="button-small" value="<?php echo $RESET; ?>" type="reset" name="reset">
										<input class="button-small" value="<?php echo $CANCEL; ?>" type="button" name="cancel" onclick="Javascript: location.href='<?php echo $SELF; ?>'">
									</td>
								</tr>
							</table>

						</form>
					</div></div>
				</td>
			</tr>
		</table>

	<script type="text/javascript">document.partorder2stock.check_1.focus();</script>

	</body>

</html>


