<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
	<head>
		<meta http-equiv="Content-Type" CONTENT="text/html; charset=utf-8">
 		<meta name="robots" content="noindex,nofollow">

		<title>eBag</title>

		<link href="../css/<?php echo TEXT_DIRECTION; ?>/default.css?ver=<?php echo VERSION_NUMBER; ?>" rel="stylesheet" type="text/css">

		<script type="text/javascript" src="../js/essentials.js?ver=<?php echo VERSION_NUMBER; ?>"></script>
		<script type="text/javascript" src="../js/nextfield_by_name.js?ver=<?php echo VERSION_NUMBER; ?>"></script>
		<script type="text/javascript" src="../js/phasechangeboxset.js?ver=<?php echo VERSION_NUMBER; ?>"></script>
		
		<!--[if lte IE 8]>
			 <script type="text/javascript" src="../js/select2auto.js?ver=<?php echo VERSION_NUMBER; ?>"></script>
		<![endif]-->		
	</head>

	<body>
		<table id="container">
			<tr>
				<td>
					<div class="border"><div class="padding-form">

						<form action="<?php echo $SELF; ?>" name="phasechange" method="post" target="_self">

							<table class="form">

								<tr>
									<td class="formlabel" colspan="2">
										<?php echo $PRODUCTION_ORDER_PHASE_CHANGE; ?>
									</td>
								</tr>

								<tr class="separator"><td colspan="2"></td></tr>

								<tr>
									<td>
										<?php echo $PERSONID; ?>
									</td>
									<td class="formright">

										<div class="linkcell-w">
											<?php echo $DATA['productionorderID']; ?>
										</div>
										<input name="productionorderID" type="hidden" value="<?php echo $DATA['productionorderID']; ?>">
									</td>
								</tr>

								<tr>
									<td>
										<?php echo $CODE; ?>
									</td>
									<td class="formright">

										<div class="linkcell-w">
											<?php echo $DATA['code']; ?>
										</div>
									</td>
								</tr>

								<tr>
									<td>
										<?php echo $ARTICALNAME; ?>
									</td>
									<td class="formright">

										<div class="linkcell-w">
											<?php echo $DATA['articalname']; ?>
										</div>
									</td>
								</tr>

								<tr>
									<td>
										<?php echo $QUANTITY; ?>
									</td>
									<td class="formright">

										<div class="linkcell-w">
											<?php echo $DATA['quantity']; ?>
										</div>
									</td>
								</tr>

								<tr>
									<td>
										<?php echo $CUSTOMER; ?>
									</td>
									<td class="formright">
										<div class="linkcell-w">
											<?php echo $DATA['contactname']; ?>
										</div>
									</td>
								</tr>

								<tr>
									<td>
										<?php echo $DATE_OF_CREATION; ?>
									</td>
									<td class="formright">

										<div class="linkcell-w">
											<?php echo $DATA['date_of_creation']; ?>
										</div>
									</td>
								</tr>

								<tr><td class="line" colspan="2"><div class="formline"></div></td></tr>		

								<tr>
									<td>
										<?php echo $CURRENT_PHASE; ?>
									</td>
									<td class="formright">

										<div class="linkcell-w">
											<?php echo $DATA['current_phase_name']; ?>
										</div>
										<input name="production_phase" type="hidden" value="<?php echo $DATA['production_phase']; ?>">
										<input name="personID" type="hidden" value="<?php echo $DATA['phasepersonID']; ?>">
									</td>
								</tr>

								<tr>
									<td>
										<?php echo $FINISHER; ?>
									</td>
									<td>

										<div id="finishercell" class="linkcell-w">
											<?php echo $DATA['finishername']; ?>
										</div>
										<input name="finishernamedefault" type="hidden" value="<?php echo $DATA['finishername']; ?>">
										<input name="finisher" type="hidden" value="<?php echo $DATA['finisher']; ?>">
									</td>
								</tr>

								<tr>
									<td>
										<?php echo $FINISHER_CHANGE; ?>
									</td>
									<td class="formright">

										<select name="newfinisher" class="fullsize-w" onchange="box_set()" onkeypress="return nextfield(this, event, 'process_time')">

											<option value="">&lt;-------&gt;</option>
		
											<?php
												foreach ($FINISHERS as $ENCODED=>$NAME)	{

													$selected	=	'';

													if ($NAME == $DATA['finisher']) $selected = 'selected';

													echo "<option $selected value=\"$ENCODED\">$NAME</option>\n";

												}
											?>
										</select>
									</td>
								</tr>

								<tr>
									<td>
										<?php echo $PROCESS_TIME; ?>
									</td>
									<td class="formright">
										<input name="process_time" class="formbox-w" value="<?php echo $DATA['process_time']; ?>" onkeypress="return nextfield(this, event, 'next_phase')">
									</td>
								</tr>

								<tr>
									<td>
										<?php echo $NEXT_PHASE; ?>
									</td>
									<td class="formright">

										<select name="next_phase" class="fullsize-w" onkeypress="return nextfield(this, event, 'delete_current')">

											<option selected value="">&lt;-------&gt;</option>

											<?php 
												foreach ($PHASES as $phaseNO=>$phasename)	{

													echo "<option value=\"$phaseNO\">$phasename</option>\n";
												}
											?>

										</select>
									</td>
								</tr>

								<tr>
									<td>
										<?php echo $DELETE_CURRENT_PHASE; ?>
									</td>
									<td class="formright">
										<input type="checkbox" class="checkbox" name="delete_current" onkeypress="return nextfield(this, event, 'submit')">
									</td>
								</tr>
		
								<tr>
									<td class="formright" colspan="2">
										<br>
										<input class="button-small" value="<?php echo $WRITE; ?>" type="submit" name="submit">
										<input class="button-small" value="<?php echo $RESET; ?>" type="button" onclick="Javascript: formreset()">
										<input class="button-small" value="<?php echo $CANCEL; ?>" type="button" onclick="Javascript: location.href='<?php echo $BACKTO; ?>'">
									</td>
								</tr>
							</table>
						</form>

					</div></div>
				</td>
			</tr>
		</table>

	<script type="text/javascript">document.phasechange.newfinisher.focus();</script>

	</body>

</html>

